#!/bin/bash
# Automatisiertes OpenVPN Script
# Erstellt saemtliche Serverseitige Zertifikate 
#
# 26.06.2013 Geschrieben und Getestet
# Harald Ioakeimides, metaSEC
#
# 22.02.2014 Anpassungen und Cleanups
# Lukas Ziaja
#
a=5;

if [ $# -le $a ];then
echo "Da fehlen wohl Parameter:./OpenVPN.sh <Land> <Privinz> <Stadt> <Firma> <eMail> [[ <exprire> ] <base_path> ]";
exit;
fi;

touch /tmp/gen_snom_vpn_cert

if [ -z $6 ];then
    e_days=365;
else
    e_days=$6;
fi

if [ -z $7 ];then
    basepath="/etc/openvpn/";
else
    basepath=$7;
fi


if [ ! -e $basepath ];then
    mkdir -p $basepath
fi 
cd $basepath

mkdir -p $basepath/keys
mkdir -p $basepath/keys/ca
mkdir -p $basepath/keys/server
mkdir -p $basepath/default
mkdir -p $basepath/log

cd $basepath/keys/ca

echo ""
echo "CA Cert erstellen..."
echo ""
openssl genrsa -out $basepath/keys/ca/ca.key 2048

openssl req -new -x509 -days $e_days -key $basepath/keys/ca/ca.key -out $basepath/keys/ca/ca.crt \
-set_serial 1 -subj '/C='$1'/ST='$2'/L='$3'/O='$4'/OU=IT/CN=CA/emailAddress='$5

chmod 700 $basepath/keys/ca
cd $basepath/keys
touch $basepath/keys/serial
echo "01" > $basepath/keys/serial

cd $basepath/keys/server

echo ""
echo "Server Cert erstellen..."
echo ""
openssl req -new -newkey rsa:2048 -out $basepath/keys/server/server_csr_vpn.pem -nodes -keyout $basepath/keys/server/server.key \
-days $e_days -subj '/C='$1'/ST='$2'/L='$3'/O='$4'/OU=IT/CN=Server/emailAddress='$5

openssl x509 -req -in $basepath/keys/server/server_csr_vpn.pem -out $basepath/keys/server/server.crt \
-CA $basepath/keys/ca/ca.crt -CAkey $basepath/keys/ca/ca.key -CAserial $basepath/keys/serial -days $e_days

rm $basepath/keys/server/server_csr_vpn.pem

chmod 0700 $basepath/keys/server/server.key


cd $basepath/keys/ca/

echo ""
echo "Zufallszahlen erstellen..."
echo ""
openssl dhparam -out $basepath/keys/ca/dh2048.pem 2048

# logdir erzeugen
mkdir -p  /var/log/openvpn

# inits prüfen
update-rc.d openvpn defaults

rm /tmp/gen_snom_vpn_cert

exit;
