#!/bin/bash
# Automatisiertes OpenVPN Client Script
# Erstellt smtliche Client Zertifikate und dazupassende Standardkonfigurationsdateien
# damit der OpenVPN Spass sofort losgehen kann.
#
# 26.06.2013 Geschrieben und Getestet
# Harald Ioakeimides, metaSEC
#
a=6;

if [ $# -ne $a ];then
echo "Da fehlen wohl Parameter:./OpenVPN.sh <Benutzername> <Land> <Privinz> <Stadt> <Firma> <eMail>";
exit;
fi;

mkdir /etc/openvpn/keys/$1
cd /etc/openvpn/keys/$1
echo ""
echo "Client Cert vorbereiten..."
echo ""
openssl req -new -newkey rsa:2048 -out $1_csr_vpn.pem -nodes -keyout $1.key -days 3650 -subj '/C='$2'/ST='$3'/L='$4'/O='$5'/OU=IT/CN='$1'/emailAddress='$6

echo ""
echo "Client Certs erstellen..."
echo ""
openssl x509 -req -in $1_csr_vpn.pem -out $1.crt -CA /etc/openvpn/keys/ca/ca.crt -CAkey /etc/openvpn/keys/ca/ca.key -CAserial /etc/openvpn/keys/serial -days 3650

rm $1_csr_vpn.pem
cp /etc/openvpn/keys/ca/ca.crt /etc/openvpn/keys/$1

echo ""
echo "Standard Client-Konfiguration wird erstellt"
echo ""

touch client.ovpn
echo 'client
dev tun
port 1194
proto udp
# Externe IP Nachtragen
remote  1194             # VPN server IP : PORT
nobind

# Zertifikatpfade nachtragen
ca ca.crt
cert $1.crt
key  $1.key

tun-mtu 1300
tun-mtu-extra 32
comp-lzo
persist-key
persist-tun

verb 3' > client.ovpn

echo ""
echo "Client Paket wird geschnrt"
echo ""
tar cf $1_OVPN_Package.tar . 2> /dev/null

cd /etc/openvpn/keys/
