#!/bin/bash
#
#
#

PATH=/bin:/sbin:/usr/bin:/usr/sbin

logger -t zphone-snom-ssl "generating config for $1 "

if [ ! -e /etc/metasec/snom_vpn.cfg ];then
    logger -t zphone-snom-ssl " /etc/metasec/snom_vpn.cfg not present. please configure serer first! "
    exit;
fi

# including snom setting files
.  /etc/metasec/snom_vpn.cfg


# a=6;

if [ $# -ne 2 ];then
    echo "Da fehlen wohl Parameter: $0 <Benutzername> <email> ";
    exit;
fi;

user=$1
email=$2

export RANDFILE="/etc/openvpn/snom_ssl/keys/$user/.rnd"

mkdir -p /etc/openvpn/snom_ssl/keys/$user
cd /etc/openvpn/snom_ssl/keys/$user
echo ""
echo "Client Cert vorbereiten..."
echo ""

openssl req -new -newkey rsa:2048 -out /etc/openvpn/snom_ssl/keys/$user/${user}_csr_vpn.pem -nodes -keyout /etc/openvpn/snom_ssl/keys/$user/$user.key \
-days $ssl_expire -subj '/C='$ssl_ST'/ST='$ssl_provinz'/L='$ssl_L'/O='$ssl_O'/OU=IT/CN='$user'/emailAddress='$email

echo ""
echo "Client Certs erstellen..."
echo ""

openssl x509 -req -in /etc/openvpn/snom_ssl/keys/$user/${user}_csr_vpn.pem -out /etc/openvpn/snom_ssl/keys/$user/${user}.crt \
    -CA /etc/openvpn/snom_ssl/keys/ca/ca.crt -CAkey /etc/openvpn/snom_ssl/keys/ca/ca.key -CAserial /etc/openvpn/snom_ssl/keys/serial -days $ssl_expire

rm /etc/openvpn/snom_ssl/keys/$user/${user}_csr_vpn.pem
cp /etc/openvpn/snom_ssl/keys/ca/ca.crt /etc/openvpn/snom_ssl/keys/$user

chown root:root /etc/openvpn/snom_ssl/keys/$user/*
chmod 700 /etc/openvpn/snom_ssl/keys/$user/*

exit 0;