#!/bin/bash
#
# Params:
#	1: fax_rcv_file
#	2: destination
#	3: cidnum
#	4: cidname
#	5: called fax extension
#

#
#	some parameters are needed for the correct setup
#
if [ -z $1 ];then
    echo "No file parameter given!"
    exit
fi

if [ -z $5 ];then
    echo "No target extension commited! no mapping possible!"
    exit
fi

if [ ! -e /usr/bin/convert ];then
    echo "kein imagemagick installier! keine konvertierung moeglich..."
fi

#
#	cause we have some permisionproblems with hylafax
#	we keep the files that are accessible form webtapi
#	in another place than /var/spool/hylafax/recvq
#
mkdir -p /home/
mkdir -p /home/zphone_fax/
chown www-data:www-data /home/zphone_fax/
mkdir -p /home/zphone_fax/$5
chown www-data:www-data /home/zphone_fax/$5

#
#	copy the recived file
#
cp /var/spool/hylafax/recvq/${1}* /home/zphone_fax/${5}/
chown www-data:www-data /home/zphone_fax/$5/${1}

#
#	convert the images
#
cd /home/zphone_fax/${5}/
if [ -e ${1}.tif ];then
    jpg_name=`echo ${1}|cut -d. -f1`;
    convert ${1}.tif ${jpg_name}.jpg
    tiff2pdf ${1}.tif > ${jpg_name}.pdf
    chown www-data:www-data /home/zphone_fax/$5/${jpg_name}*
    
    #
    #	this is for multipart image convers
    # 	imagemagick ${1} ${jpg_name}-%d.jpg
    
fi

#
#	this is just for testing and debugging
#
if [ -e /tmp/faxdebug ];then
    echo $1 $2 $3 $4 $5 >> /tmp/faxlog.log
fi
now=`date +%s`;
echo "insert into fax_recvq (fre_file,fre_dst,fre_cidnum,fre_cidname,fre_dst_clid,fre_time) values ('$1', '$2', '$3','$4','$5',$now)" |mysql zphone
