#! /bin/sh

### BEGIN INIT INFO
# Provides:             zphone_max_d_call_watcher
# Required-Start:	asterisk
# Required-Stop:        
# Default-Start:        2 3 4 5
# Default-Stop:
# Short-Description:    Metasec Zphone Max Call Duration Daemon
### END INIT INFO

if [  ! -e /etc/metasec/max_d_call_watcher.cfg ];then
    exit;
fi;

. /etc/metasec/max_d_call_watcher.cfg

base_name="MZF Max call duration daemon";
PIDFILE="/var/run/zphone_max_d_call_watcher.pid"
DAEMON="/var/www/zphone/zphone_max_d_call_watcher.php"
DAEMON_ARGS=$c_dur;

case "$1" in
    start)
	echo "Starting $base_name "
	
	
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
	
	;;
    stop)
	echo "Stopping $base_name "
	killall -9 zphone_max_d_call_watcher.php
	;;
    reload)
	echo "Reloading $base_name"

	killall -9 zphone_max_d_call_watcher.php

	sleep 1
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
	;;
    *)
	echo "Usage $0 start|stop|reload"
	exit 1
    
esac
exit 0
