#!/bin/bash


function install_update {

    version=`echo $1|tr "." "_"`
    cd /tmp
    echo "" >> /tmp/update.log
    echo "Installiere Zphone Update version $1 " >> /tmp/update.log
    upd_file=update_`echo $1|tr "." "_"`.tar.bz2
    echo "Lade datei $upd_file vom updateserver" >> /tmp/update.log
    rm $upd_file
    rm $upd_file.md5
    wget -q http://update.zphone.de/$upd_file
    wget -q http://update.zphone.de/$upd_file.md5
    if [ ! -s /tmp/$upd_file ];then

	echo "Datei konnte nicht heruntergeladen werden!" >> /tmp/update.log
	echo "Abbruch" >> /tmp/update.log
	exit

    fi
    
    md5_tst=`md5sum -v -c $upd_file.md5 2>&1 |grep -c "FAILED"`
    echo $md5_tst >> /tmp/update.log
    if [ $md5_tst -gt 0 ];then
    
	echo "Datei ist korrupt! Wenden Sie sich dn den support!" >> /tmp/update.log
	echo "Abbruch" >> /tmp/update.log
	exit
    
    fi
    
    mkdir /tmp/update_dir_$version

    echo "Entpacke Updatedatei" >> /tmp/update.log
    tar xjf $upd_file -C /tmp/update_dir_$version

    if [ -x /tmp/update_dir_$version/zphone/preinst.sh ];then
	echo "Fuehre Preupdate Scripte aus..." >> /tmp/update.log
	/tmp/update_dir_$version/zphone/preinst.sh
    fi;

    cp -r /tmp/update_dir_$version/daten/* /

    if [ -x /tmp/update_dir_$version/zphone/postinst.sh ];then
    	echo "Fuehre Postupdate Scripte aus..." >> /tmp/update.log
	/tmp/update_dir_$version/zphone/postinst.sh
    fi;


    echo "Update $version erfolgreich eingespielt!" >> /tmp/update.log
    
    
}


if [ -z $1 ];then
    echo usage $0 start stop update
    exit
fi

if [ "$1" == "start" ];then 
    echo starting update server
    start-stop-daemon -b --start --exec  /var/www/zphone/bin/zphone_update.sh -- update
    exit;
fi


if [ "$1" == "update" ];then

    rm /tmp/update.log
    if [ -e /tmp/zphone_do_update ];then
	for ver in $( cat /tmp/zphone_do_update );do
	    install_update $ver
	done
    fi
    rm /tmp/zphone_do_update
fi;


