<?php
  
function zphone_check_dial_out_acl( $dst, $ae_ext ) {

    if ( empty($dst) || empty($ae_ext) )
        return false;

    $acl = array();

    $s = new SQL;
    $s->query("select a.vda_numbers from voip_dialacl as a left join voip_dialacl_member as b on a.vda_id=b.vdm_vda_id where b.vdm_ae_ext=$ae_ext and b.vdm_value=1");

    if ( $s->num_rows() == 0 ) {
        print("noop TEILNEHER NICHT VORHANDEN ODER KEINE RECHTE DEFINIERT!!!\n");
        $s->free_result();
        return false;
    }

    while ( $s->next_record() ) {

        foreach ( explode(",", trim($s->f("vda_numbers"))) as $number ) {

            $number = trim($number);

            if ( $dst == $number && !empty($number) ) {
                $s->free_result();
                return false;
            }

            if ( !empty($number) ) {
                if ( substr($number,-1,1) == "*" )
                    $acl[] = substr($number,0,strlen($number)-1);
                else
                    $acl[] = $number;
            }

        }

    }


    $s->free_result();
    $acl = array_unique($acl);

    foreach ( $acl as $key ) {

        $key = trim($key);
        if ( ereg("^".$key, $dst) ) {
            echo "noop key: $key dst $dst \n";
            return true;
        }

    }
    return false;

}
  
function zphone_agi_pickup_call( $ae_ext, $self ) {
    
    /*
     define some vars
     */
    $R      = array(); // ringing channels
    $R_T    = array(); // just to save performance, timestamp of the ringing channel
    $_chan  = array();
    $_ext   = array();
    $_perms = array();
    $RET    = array();
    $MAP    = array();

    $LOC_USER = voip_ext_get_from_db("ae_ext");
    $CHAN_CUR = zphone_manager_channel_status();

    /*
     check if we can pick _any_ channel!
     if no... exit and save enegry :->
     */
    if ( !$LOC_USER[$ae_ext] ) {

        return "zphone pickup_v3 agi, there is no user ".$ae_ext."!?! ";

    }


    /*
     get the rights from the user that try to pick a call
     */
    $PICKER = voip_user_merge_rights( $LOC_USER[$ae_ext] );
    $PICKER["pickup_prop"] = array();

    /*
     get and check the pickup rights of the picker
     */

    foreach ( $PICKER["pickup"] as $p_grp => $p_val ) {
        if ( $p_val == 1 )
        $PICKER["pickup_prop"][] = $p_grp;
    }

    /*
     check if we can pick _any_ channel!
     if no... exit and save enegry :->
     */
    if ( count($PICKER["pickup_prop"]) == 0 ) {

        return "zphone pickup_v3 agi, the user ".$ae_ext." have no pickup rights!";

    }

    /*
    print("CURRENT_CHANNELS:\n");
    print("===============================\n");
    var_dump($CHAN_CUR);
    print("===============================\n");
    */
    
    foreach ( $CHAN_CUR as $index => $CHAN ) {

        
        print("noop index ist: ".$index."\n");
        
        if ( empty($CHAN["chan"]) )
            continue(1);
            
        if ( $self == $CHAN["chan"] ) {
            syslog(LOG_INFO, "zphone pickup_v3, skipping own channel: ".$CHAN["chan"]." ");
            continue(1);
        }
            
        if ( $CHAN["state"] == "Ringing" && $CHAN["tech"] == "SIP" && $LOC_USER[$CHAN["ext"]] ) {

            $_perms    = voip_user_merge_rights( $LOC_USER[$CHAN["ext"]] );
            foreach ( $_perms["pickup"] as $p_grp => $p_val ) {
                if ( $p_val == 1 && in_array($p_grp, $PICKER["pickup_prop"]) )
                    $R[$index] = $CHAN["ext"];
                $R_T[$index] = $CHAN["uniqeid"];
            }

        } else {
            
            if ( !empty($CHAN["Dstchannel"]) ) {
            
                syslog(LOG_INFO, "zphone pickup_v3, mapping chan: ".$CHAN["chan"]." state: ".$CHAN["state"]." -> ".$CHAN["Dstchannel"]." ");
                $MAP[$CHAN["chan"]] = $CHAN["Dstchannel"];
                $MAP[$CHAN["Dstchannel"]] = $CHAN["chan"];
                
            }

        }

    }

    //var_dump($R);

    /*
     check if we can pick _any_ channel!
     if no... exit and save enegry :->
     */
    if ( count($R) == 0 ) {


        /*
         some telephones dont like if they are just hanged up...
         so we answer the call and hang them immediately up!
         */
        print("noop pickup_v3 agi, the user ".$ae_ext." have no pickup rights for any current call!\n");
        print("answer\n");
        print("hangup\n");
        return "zphone pickup_v3 agi, the user ".$ae_ext." have no pickup rights for any current call!";
    }


    asort($R_T,SORT_NUMERIC);

    $last = "";
    foreach ( $R_T as $key => $val ) {
        print("noop R_T ist: ".$key ."=>". $val."\n");
        $last = $key;
    }

    $RET["last"] = $CHAN_CUR[$last]["ext"];
    $RET["chan"] = $CHAN_CUR[$last]["chan"];
    $RET["from"] = $MAP[$CHAN_CUR[$last]["chan"]];

    return $RET;
    
}

?>