<?php
/*
*       FIREWALL SETUP
*		
*
*
*/

function ccbox_fw_rules_get() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0); 
	
	$s = new SQL;
	$s->query("SELECT * FROM fw_rules ");
	if ( !$s->next_record() ) {
		$s->free_result();
		$MSG = ccbox_get_error_msg("FW_NO_RULES_IN_DB");
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
		return TRUE;
	}
	
	$FW = ccbox_get_sql_arr($s->Record);
	

	$headtab  = "fw_rules_headtab";
	$headhelp = "fw_rules_help";
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
	return TRUE;

}

function ccbox_fw_rules_set($FW, $NO_SKIN=0) {

	if ( $GLOBALS[DEMO] ) {
		if ( $NO_SKIN == 1 ) {
			return TRUE;
		} else {
	
			
			$headtab  = "fw_rules_headtab";
			$headhelp = "fw_rules_help";
			$MSG   = "Regeln aktualisiert";
			$PROTO = "<pre style=\"font-family:Courier New;\">DEMOMODE \n Keine Daten gespeichert! </pre>";
		
			include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
			return TRUE;
		}
	}

	if ( $FW["fw_status"] == 2 ) {
		
		@exec($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/firewall 2>/dev/null", $out);
		$headtab  = "fw_rules_headtab";
		$headhelp = "fw_rules_help";
		$MSG      = "Firewall neu geladen";
		$PROTO    = "<pre style=\"font-family:Courier New;\">".implode("\n",$out)."</pre>";
	
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
		return TRUE;
	}

	/* split the values */
	$split_rdr = array(fr_rdr_cups, fr_rdr_ftp, fr_rdr_ssh, fr_rdr_telnet ,fr_rdr_vnc, fr_rdr_www ); 

	/* check values */
	foreach ( $split_rdr as $_rdr ) {
		if ( !empty($FW[$_rdr]) ) {
			
			$_tmp = explode(":", $FW[$_rdr]);
			if ( !ccbox_net_addr_verify( $_tmp[0], i ) )
				$MSG = ccbox_get_error_msg("FW_RDR_WRONG_".strtoupper($_rdr)."_1");
			elseif ( !ccbox_net_addr_verify( $_tmp[1], i ) )
				$MSG = ccbox_get_error_msg("FW_RDR_WRONG_".strtoupper($_rdr)."_2");

		}
	} 
	unset($key, $_tmp, $_rdr );
	
	if ( isset($MSG) ) {
		ccbox_fw_rules_get($MSG);
		return FALSE;
	}
	

	$s = new SQL;
	
	/*
	 *	this fields must be 0 or 1
	 */
	$test_zero = array(fr_pop, fr_pop_ssl, fr_imap, fr_imap_ssl, fr_smtp, fr_trans_squid, fr_pptp);
	
	foreach ( $test_zero as $key )
		if ( !$FW[$key] ) $FW[$key] = 0;

	/*
	 *	Update the database
	 */
	$query  = " UPDATE fw_rules SET \n ";
	$query .= " fr_pop=$FW[fr_pop], fr_pop_ssl=$FW[fr_pop_ssl], fr_imap=$FW[fr_imap], fr_status=$FW[fr_status], \n ";
	$query .= " fr_imap_ssl=$FW[fr_imap_ssl], fr_smtp=$FW[fr_smtp], fr_rdr_telnet='$FW[fr_rdr_telnet]', \n ";
	$query .= " fr_rdr_www='$FW[fr_rdr_www]', fr_rdr_ftp='$FW[fr_rdr_ftp]', fr_rdr_vnc='$FW[fr_rdr_vnc]', \n ";
	$query .= " fr_ports_out='$FW[fr_ports_out]', fr_ports_in='$FW[fr_ports_in]', fr_trans_squid=$FW[fr_trans_squid], \n ";
	$query .= " fr_rdr_ssh='$FW[fr_rdr_ssh]', fr_rdr_cups='$FW[fr_rdr_cups]', fr_ports_out='$FW[fr_ports_out]',  fr_nat_host='$FW[fr_nat_host]' \n";
	$query .= " WHERE fr_id=$FW[fr_id] ";
	
	$s->query($query);
	$s->free_result();
	
	/* update the squid settings */
	$s->query("UPDATE squid_setup SET sqs_trans_proxy=$FW[fr_trans_squid] WHERE sqs_id=1 ");
	$s->free_result();
	

	foreach ( $split_rdr as $key ) {
		if ( !empty($FW[$key]) ) {
			$tmp          = explode(":", $FW[$key] );
			$key_on       = $key."_on";
			$key_int      = $key."_int";
			$key_ext      = $key."_ext";
			$FW[$key_on]  = 1;
			$FW[$key_int] = $tmp[1];
			$FW[$key_ext] = $tmp[0];
		} else {
			$key_on       = $key."_on";
			$FW[$key_on]  = 0;
		}
	} 
	
	
	/*
	 *	Write the /etc/firewall/firewall.conf file
	 */
	
	if ( $GLOBALS[DEMO] ) {
		
		$headtab  = "fw_rules_headtab";
		$headhelp = "fw_rules_help";
		$MSG   = "Regeln aktualisiert";
		$PROTO = "<pre style=\"font-family:Courier New;\">Demomode</pre>";
	
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
		return TRUE;		
	}
	
	$f1 = fopen($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/firewall.conf", "w+");
	foreach ( file($GLOBALS["CCBOX"]["TEMPLATES"]."firewall.conf") as $val ) {
		fputs($f1, ccbox_set_query_params($val, $FW, 0));
	}
	fclose($f1);

	if ( $NO_SKIN == 1 ) {
		return TRUE;
	} else {

		if ( $FW[fr_status] == 1 ) 
			@exec($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/firewall 2>/dev/null", $out);
		else
			@exec($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/clr_rule 2>/dev/null", $out);

		
		$headtab  = "fw_rules_headtab";
		$headhelp = "fw_rules_help";
		$MSG   = "Regeln aktualisiert";
		$PROTO = "<pre style=\"font-family:Courier New;\">".implode("\n",$out)."</pre>";
	
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_rules.inc.php");
		return TRUE;
	}

}

function ccbox_fw_rules_show() {
	
	if ( $GLOBALS[DEMO] )
		return "DEMOMODE";
		
	exec("/sbin/iptables-save", $out);
	return "<pre style=\"font-family:Courier New;\">".implode("\n",$out)."</pre>";
}

function ccbox_fw_rules_gen_config() {

	if ( $GLOBALS[DEMO] )
		return TRUE;
	
	$s = new SQL;
	$s->query("SELECT * FROM fw_rules WHERE fr_id=1");
	$s->next_record();
	$FW = ccbox_get_sql_arr($s->Record);
	$s->free_result();

	/* no split the values */
	$split_rdr = array(fr_rdr_cups, fr_rdr_ftp, fr_rdr_ssh, fr_rdr_telnet ,fr_rdr_vnc, fr_rdr_www ); 
	foreach ( $split_rdr as $key ) {
		if ( !empty($FW[$key]) ) {
			$tmp          = explode(":", $FW[$key] );
			$key_on       = $key."_on";
			$key_int      = $key."_int";
			$key_ext      = $key."_ext";
			$FW[$key_on]  = 1;
			$FW[$key_int] = $tmp[1];
			$FW[$key_ext] = $tmp[0];
		} else {
			$key_on       = $key."_on";
			$FW[$key_on]  = 0;
		}
	}

	
	/*
	 *	Write the /etc/firewall/firewall.conf file
	 */
	if ( !is_dir( $GLOBALS["CCBOX"]["ROOT"]."etc/firewall/" ) )
		mkdir ($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/", 0755 );
		
	$f1 = fopen($GLOBALS["CCBOX"]["ROOT"]."etc/firewall/firewall.conf", "w+");
	foreach ( file($GLOBALS["CCBOX"]["TEMPLATES"]."firewall.conf") as $val ) {
		fputs($f1, ccbox_set_query_params($val, $FW, 0));
	}
	fclose($f1);
	
	return TRUE;
	
}

function ccbox_fw_fules_init( $action ) {
	
	if ( $GLOBALS[DEMO] )
		return TRUE;

	$s = new SQL;
	$s->query("SELECT fr_status FROM fw_rules WHERE fr_id=1 ");
	$s->next_record();
	$fr_status = $s->f("fr_status");
	$s->free_result();
	
	if ( $fr_status != 1 )
		$action == "clear";
	
	if ( $action == "load" || empty($action) || $action == "reload" ) 
		@exec("/etc/firewall/firewall 2>/dev/null", $out);
	elseif ( $action == "clear" )
		@exec("/etc/firewall/clr_rule", $out);

	return $out;

}

function ccbox_fw_ts_get() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0); 
	
	$s = new SQL;
	$s->query("SELECT * FROM fw_rules ");
	if ( !$s->next_record() ) {
		$s->free_result();
		$MSG = ccbox_get_error_msg("FW_NO_RULES_IN_DB");
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_traffic_sh.inc.php");
		return TRUE;
	}
	
	$FW = ccbox_get_sql_arr($s->Record);
	
	
	$headtab  = "fw_shaper_headtab";
	$headhelp = "fw_shaper_help";
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_traffic_sh.inc.php");
	return TRUE;

}

function ccbox_fw_ts_set($FW) {
	
}

function ccbox_fw_service_parse() {
	
	if ( func_num_args() > 0 )
		$sfile = func_get_arg(0);
	else
		$sfile = $GLOBALS["CCBOX"]["ROOT"]."etc/services";
	
	$FW     = array();
	$fw_tmp = array();
	$p_tmp  = array();
	
	$sfile = file($sfile);
	sort($sfile);

	foreach ( $sfile as $line ) {
		$line = trim($line);
		if ( substr($line,0,1) != "#" && 
		     $line != "" && 
		     ( substr_count($line, "udp" ) || substr_count($line, "tcp" ) || substr_count($line, "icmp" ) ) ) {

			$fw_tmp = preg_split ("/[\s,]+/", $line );
			$p_tmp  = explode("/", $fw_tmp[1]);
			$FW[trim($p_tmp[0])]   = array ( $fw_tmp[0], $fw_tmp[1], $p_tmp[0], $p_tmp[1] );
		}
	}
	
	return $FW;
	
}

function ccbox_fw_service_list( $FW ) {
	
	print("<select name=\"\" class=\"input7c\">\n");
	
	foreach ( $FW as $service )
		print("\t<option value=\"".$service[1]."\">".str_replace(" ", "&nbsp;", sprintf("%-15s ", $service[0]))." ( ".$service[1]." )</option>\n");
	
	print("</select>\n");
	
	return TRUE;
	
}

function ccbox_fw_iface_listbox( $name, $selected="" ) {
	
	$box  = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	$box .= "\t<option value=\"-1\"> -- Auswahl -- </option>\n";
	foreach ( ccbox_net_iface_list() as $val ) {
		$box .= "\t<option value=\"$val\"";
		if ( $selected == $val )
			$box .= " selected ";
		$box .= ">$val</option>\n";
	}
	$box .= "\t<option value=\"msvpn\" ";
		if ( $selected == "msvpn" )
			$box .= " selected "; 
	$box .= ">PPTP</option>\n";

	$box .= "\t<option value=\"dialin\" ";
		if ( $selected == "dialin" )
			$box .= " selected "; 
	$box .= ">Einwahl</option>\n";

	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_iface_msk() {
	
	if ( func_num_args() > 0 ) {
		$FW = func_get_arg(0);
		if ( !is_array($FW) )
			unset($FW);
	}
	
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1);
	
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_iface_edit.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_iface_edit($fsi_id) {
	
	$FW = ccbox_fw_shore_iface_get($fsi_id);

	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_iface_edit.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_iface_get() {

	$FW = array();
	$s  = new SQL;

	if ( func_num_args() > 0 ) {
		$fsi_id = func_get_arg(0);
		$s->query("SELECT * FROM fw_sh_iface WHERE fsi_id=$fsi_id ");
		$s->next_record();
		return $s->msdk_get_sql_arr(1);
	}

	$s->query("SELECT * FROM fw_sh_iface");
	while ( $s->next_record() )
		$FW[$s->f("fsi_id")] = $s->msdk_get_sql_arr();

	$s->free_result();
	return $FW;
	
}

function ccbox_fw_shore_iface_show() {
	
	if ( func_num_args() > 0 )
		$action = func_get_arg(0);
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1);
	
	$ZONE = ccbox_fw_shore_zone_get();
	ccbox_fw_shore_state_get(1);
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_iface.inc.php");
	return TRUE;
}

function ccbox_fw_shore_iface_save($FW) {
	
	if ( !array($FW) ) {
		ccbox_fw_shore_iface_show(ccbox_get_error_msg("FW_SH_IFACE_WRONG_DATATYPE"));
		return FALSE;
	}

	if ( $FW["fsi_zone"] == -1 ) {
		$MSG = ccbox_get_error_msg("FW_SH_IFACE_NO_ZONE");
	} elseif ( $FW["fsi_iface"] == -1 ) {
		$MSG = ccbox_get_error_msg("FW_SH_IFACE_NO_IFACE");
	}
	
	if ( isset($MSG) ) {
		ccbox_fw_shore_iface_msk($FW, $MSG);
		return FALSE;
	}
	
	$s     = new SQL;

	if ( isset( $FW["fsi_id"] ) ) {
		$query  = "UPDATE fw_sh_iface SET ";
		$query .= "fsi_zone='".$FW["fsi_zone"]."', fsi_iface='".$FW["fsi_iface"]."', "; 
		$query .= "fsi_bcast='".$FW["fsi_bcast"]."', fsi_opts='".implode(",", $FW["fsi_opts"])."' ";
		$query .= "WHERE fsi_id=".$FW["fsi_id"];
	} else {
		$query  = " INSERT INTO fw_sh_iface (fsi_zone, fsi_iface, fsi_bcast, fsi_opts) VALUES";
		$query .= " (".$FW["fsi_zone"].", '".$FW["fsi_iface"]."', '".$FW["fsi_bcast"]."', ";
		$query .= " '".implode(",", $FW["fsi_opts"])."' )";
	}
  	$s->query($query);
  	$s->free_result();

	/*
	 *	tell the system that changes happend
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	return to main view 
	 */	
	ccbox_fw_shore_iface_show("save", "DATEN GESPEICHERT");
	return TRUE;
	
}

function ccbox_fw_shore_iface_del($fsi_id) {

	if ( !is_numeric($fsi_id)  ) {
		ccbox_fw_shore_iface_show("save", ccbox_get_error_msg("FW_SH_IFACE_NO_FSI_ID"));
		return TRUE;
	}

	$s = new SQL;
	/*
	 *	tell the system that changes happend
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	delete the interface
	 */
	$s->query("DELETE FROM fw_sh_iface WHERE fsi_id=$fsi_id");
	$s->free_result();
	
	ccbox_fw_shore_iface_show("save", "INTERFACE GEL&Ouml;SCHT");
	return TRUE;

}

function ccbox_fw_shore_iface_opts_listbox($name, $selected="") {
	
	if ( !empty($selected) )
		$opts_set = explode(",", $selected);
    else
    	$opts_set = array();
   
	$opts[] = "dhcp";
	$opts[] = "norfc1918";
	$opts[] = "nobogons";
	$opts[] = "routefilter";
	$opts[] = "logmartians";
	$opts[] = "blacklist";
	$opts[] = "maclist";
	$opts[] = "tcpflags";
	$opts[] = "proxyarp";
	$opts[] = "newnotsyn";
	$opts[] = "routeback";
	$opts[] = "arp_filter";
	$opts[] = "nosmurfs";
	$opts[] = "detectnets";
	
	$i=0;
	$box = "<table border=\"0\"><tr>\n";
	foreach ( $opts as $val ) {
		$box .= "<td><input type=\"checkbox\" name=\"".$name."[]\" value=\"$val\" ";
		if ( in_array($val, $opts_set) )
			$box .= " checked";
		$box .= " ></td>";
		$box .= "<td  class=\"".$GLOBALS["CCBOX"]["HTML"]["SKIN_TAB_CSS_N"]."\">$val </td>";
		if ( ($i++%2) )
			$box .= "</tr><tr>\n";
	}
	$box .= "</table>\n";
	print($box);

}

function ccbox_fw_shore_policy_add() {
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_policy_mask.inc.php");
	return TRUE;
}

function ccbox_fw_shore_policy_edit($fsp_id) {
	
	$FW = ccbox_fw_shore_policy_get($fsp_id);
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_policy_mask.inc.php");
	return TRUE;
}

function ccbox_fw_shore_policy_get() {
	
	$FW = array();
	$s  = new SQL;
	
	if ( func_num_args() > 0 ) {
		$fsp_id = func_get_arg(0);
		$s->query("SELECT * FROM fw_sh_policy WHERE fsp_id=$fsp_id");
		$s->next_record();
		return $s->msdk_get_sql_arr(1);
	}
	
	$s->query("SELECT * FROM fw_sh_policy ORDER BY fsp_pos ");
	while ( $s->next_record() )
		$FW[$s->f("fsp_id")] = $s->msdk_get_sql_arr();

	$s->free_result();
	return $FW;
	
}

function ccbox_fw_shore_policy_mask() {

	$FW = ccbox_fw_shore_policy_get();
	
	if ( func_num_args() > 0 )
		$action = func_get_arg(0);
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1);
	
	ccbox_fw_shore_state_get(1);
	$ZONE   = ccbox_fw_shore_zone_get();

	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_policy.inc.php");
	return TRUE;

}

function ccbox_fw_shore_policy_save($FW) {

	$s     = new SQL;
	$q_arr = array();
	$query = "";
	$i     = 1;

	if ( $FW["fsp_src"] == -1 || $FW["fsp_dest"] == -1 )
		continue(1);
	
	if ( empty($FW["fsp_pos"]) ) {
		$s->query("SELECT max(fsp_pos)+1 FROM fw_sh_policy");
		$s->next_record();
		$FW["fsp_pos"] = $s->f(0);
		$s->free_result();
	}
		
	if ( empty($FW["fsp_limit"]) )
		$FW["fsp_limit"] = 0;
		
	if ( empty($FW["fsp_burst"]) )
		$FW["fsp_burst"] = 0;

	if ( $FW["fsp_id"] ) {
		$query  = "UPDATE fw_sh_policy SET ";
		$query .= "fsp_pos='".$FW["fsp_pos"]."', fsp_src='".$FW["fsp_src"]."', ";
		$query .= "fsp_dest='".$FW["fsp_dest"]."',fsp_policy='".$FW["fsp_policy"]."', ";
		$query .= "fsp_logl='".$FW["fsp_logl"]."',fsp_limit='".$FW["fsp_limit"]."', ";
		$query .= "fsp_burst='".$FW["fsp_burst"]."'";
		$query .= "WHERE fsp_id=".$FW["fsp_id"];
	} else {
		$query  = "INSERT INTO fw_sh_policy (fsp_pos,fsp_src,fsp_dest,fsp_policy,fsp_logl,fsp_limit,fsp_burst) ";
		$query .= "VALUES (".$FW["fsp_pos"].", ".$FW["fsp_src"].", ".$FW["fsp_dest"].", ";
		$query .= " '".$FW["fsp_policy"]."', '".$FW["fsp_logl"]."', ".$FW["fsp_limit"].", ".$FW["fsp_burst"]." )";
	}

	/*
	 *	save rules into database
	 */
	$s->query($query);
	$s->free_result();

	
	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	return to mask
	 */
	ccbox_fw_shore_policy_mask();
	return TRUE;
	
}



function ccbox_fw_shore_policy_action_listbox($name, $selected="") {
	

	$opts[] = "ACCEPT";
	$opts[] = "DROP";
	$opts[] = "REJECT";
	$opts[] = "CONTINUE";
	$opts[] = "NONE";
	
	$box = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	foreach ( $opts as $val ) {
		$box .= "<option value=\"$val\"";
		if ( $selected == $val )
			$box .= " selected";
		$box .= ">$val</option>\n";
	}
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_policy_loglevel_listbox($name, $selected="") {
	
	$opts["none"]   = "Kein";
	$opts["INFO"]   = "INFO";
	$opts["NOTICE"] = "NOTICE";
	$opts["WARN"]   = "WARN";
	$opts["ERR"]    = "ERR";
	
	$box = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	foreach ( $opts as $key => $val ) {
		$box .= "<option value=\"$key\"";
		if ( $selected == $key )
			$box .= " selected";
		$box .= ">$val</option>\n";
	}
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_policy_move( $action, $fsp_id ) {
	
	if ( empty($fsp_id) ) {
		ccbox_fw_shore_policy_mask();
		return TRUE;
	}

	$s  = new SQL;
	$FW = ccbox_fw_shore_policy_get();

	if ( $action == "mvup" ) {
		foreach ( $FW as $arr ) {
			
			if ( $arr["fsp_id"] == $fsp_id ) {
				$s->query("UPDATE fw_sh_policy SET fsp_pos=".$last["fsp_pos"]." WHERE fsp_id=".$arr["fsp_id"]." ");
				$s->free_result();
				$s->query("UPDATE fw_sh_policy SET fsp_pos=".$arr["fsp_pos"]."  WHERE fsp_id=".$last["fsp_id"]." ");
				$s->free_result();
			}
			$last = $arr;
		}
		
	} elseif ( $action == "mvdown" ) {

		do {
			$arr = current($FW);
			if ( $arr["fsp_id"] == $fsp_id ) {
				$next = next($FW);
				$s->query("UPDATE fw_sh_policy SET fsp_pos=".$next["fsp_pos"]." WHERE fsp_id=".$arr["fsp_id"]." ");
				$s->free_result();
				$s->query("UPDATE fw_sh_policy SET fsp_pos=".$arr["fsp_pos"]."  WHERE fsp_id=".$next["fsp_id"]." ");
				$s->free_result();
			}
		} while ( next( $FW ) ) ;
	}

	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	return to mask
	 */
	ccbox_fw_shore_policy_mask();
	return TRUE;
	
}

function ccbox_fw_shore_policy_del( $fsp_id ) {

	$s = new SQL;
	$s->query("DELETE FROM fw_sh_policy WHERE fsp_id=$fsp_id ");
	$s->free_result();

	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();

	ccbox_fw_shore_policy_mask();
	return TRUE;
	
}

function ccbox_fw_shore_rules_get() {
	
	$FW = array();
	$s  = new SQL;
	
	if ( func_num_args() >= 1 ) {
		$fsr_id = func_get_arg(0);
		$s->query("SELECT * FROM fw_sh_rules WHERE fsr_id=$fsr_id");
		$s->next_record();
		$FW = $s->msdk_get_sql_arr();
	} else {
		$s->query("SELECT * FROM fw_sh_rules ORDER BY fsr_pos");
		while ( $s->next_record() )
			$FW[$s->f("fsr_id")] = $s->msdk_get_sql_arr();
	}
	
	$s->free_result();
	return $FW;
	
}

function ccbox_fw_shore_rules_show() {

	$FW    = ccbox_fw_shore_rules_get();
	$PROTO = ccbox_fw_service_parse();
	$ZONE  = ccbox_fw_shore_zone_get();
 
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(1);
	
	
	ccbox_fw_shore_state_get(1);
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_rules_show.inc.php");
	return TRUE;

}

function ccbox_fw_shore_rules_showcur() {
	
	if ( func_num_args() > 0 )
		$action = func_get_arg(0);

	if ( $action == "show_rules" )
		exec("/sbin/iptables-save 2>&1", $out);
	elseif ( $action == "show_chains" )
		exec("/sbin/shorewall show 2>&1", $out);
	elseif ( $action == "show_status" )
		exec("/sbin/shorewall status 2>&1", $out);
	
	if ( is_array($out) )
		$log = implode("\n", $out);

	/*
	 *	return to mask
	 */
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_rules_showcur.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_rules_del( $fsr_id ) {
	
	if ( empty($fsr_id) ) {
		ccbox_fw_shore_rules_show();
		return TRUE;
	}
	
	$s = new SQL;
	$s->query("DELETE FROM fw_sh_rules WHERE fsr_id=$fsr_id ");
	$s->free_result();

	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();

	ccbox_fw_shore_rules_show();
	return TRUE;
	
}

function ccbox_fw_shore_rules_edit( $fsr_id ) {
	
	if ( empty($fsr_id) ) {
		ccbox_fw_shore_rules_show();
		return FALSE;
	}
	
	$FW    = ccbox_fw_shore_rules_get($fsr_id);

	ccbox_fw_shore_rules_mask($FW);
	return TRUE;
	
}

function ccbox_fw_shore_rules_mask() {
	
	if ( func_num_args() > 0 )
		$FW = func_get_arg(0);
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1);
	
	$PROTO = ccbox_fw_service_parse();
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_rules_edit.inc.php");
	return TRUE;	
	
}

function ccbox_fw_shore_rules_move( $action, $fsr_id ) {

	if ( empty($fsr_id) ) {
		print($fsr_id);
		ccbox_fw_shore_rules_show();
		return TRUE;
	}

	$s  = new SQL;
	$FW = ccbox_fw_shore_rules_get();

	if ( $action == "mvup" ) {
		foreach ( $FW as $arr ) {
			
			if ( $arr["fsr_id"] == $fsr_id ) {
				$s->query("UPDATE fw_sh_rules SET fsr_pos=".$last["fsr_pos"]." WHERE fsr_id=".$arr["fsr_id"]." ");
				$s->free_result();
				$s->query("UPDATE fw_sh_rules SET fsr_pos=".$arr["fsr_pos"]."  WHERE fsr_id=".$last["fsr_id"]." ");
				$s->free_result();
			}
			$last = $arr;
		}
		
	} elseif ( $action == "mvdown" ) {

		do {
			$arr = current($FW);
			if ( $arr["fsr_id"] == $fsr_id ) {
				$next = next($FW);
				$s->query("UPDATE fw_sh_rules SET fsr_pos=".$next["fsr_pos"]." WHERE fsr_id=".$arr["fsr_id"]." ");
				$s->free_result();
				$s->query("UPDATE fw_sh_rules SET fsr_pos=".$arr["fsr_pos"]."  WHERE fsr_id=".$next["fsr_id"]." ");
				$s->free_result();
			}
		} while ( next( $FW ) ) ;
	}

	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	return to mask
	 */

	ccbox_fw_shore_rules_show();
	return TRUE;
	
}

function ccbox_fw_shore_rules_load() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0);
	if ( func_num_args() > 1 )
		$log = func_get_arg(1);
	
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_rules_load.inc.php");
	return TRUE;
}

function ccbox_fw_shore_rules_save($FW) {

	//if ( is_array($FW) )
	//	$FW = ccbox_trim_arr($FW);

	if ( !is_array($FW) )
		$MSG = ccbox_get_error_msg("FW_SH_SAVE_RULE_WRONT_DATATYPE");
	elseif ( empty($FW["fsr_src"]) || ( $FW["fsr_src"] == -1 && empty($FW["fsr_src_opt"]) ) )
		$MSG = ccbox_get_error_msg("FW_SH_SAVE_RULE_NO_SRC");
	elseif ( empty($FW["fsr_dest"]) || ( $FW["fsr_dest"] == -1 && empty($FW["fsr_dest_opt"]) ) )
		$MSG = ccbox_get_error_msg("FW_SH_SAVE_RULE_NO_DST");
	elseif ( !empty($FW["fsr_dst_port_opt"]) && !is_numeric($FW["fsr_dst_port_opt"]) )
		$MSG = ccbox_get_error_msg("FW_SH_SAVE_RULE_PORT_DST_OPT_NOT_NUMERIC");	
	elseif ( !empty($FW["fsr_src_port_opt"]) && !is_numeric($FW["fsr_src_port_opt"]) )
		$MSG = ccbox_get_error_msg("FW_SH_SAVE_RULE_PORT_SRC_OPT_NOT_NUMERIC");

	if ( isset($MSG) ) {
		ccbox_fw_shore_rules_mask($FW, $MSG);
		return FALSE;
	}

	$s = new SQL;
	$s->query("SELECT max(fsr_pos)+1 FROM fw_sh_rules");
	$s->next_record();
	$fsr_pos = $s->f(0);
	if ( empty( $fsr_pos ) )
		$fsr_pos = 0;
	else
		$fsr_pos = $s->f(0);
	
	$s->free_result();

	if ( empty($FW["fsr_id"]) ) {
		$query  = " INSERT INTO fw_sh_rules ( \n";
		$query .= " fsr_action, fsr_src, fsr_src_opt, fsr_dest, fsr_dest_opt, \n";
		$query .= " fsr_proto, fsr_dst_port, fsr_src_port, fsr_pos ) VALUES ( \n";
		$query .= " '".$FW["fsr_action"]."', '".$FW["fsr_src"]."', '".$FW["fsr_src_opt"]."', \n";
		$query .= " '".$FW["fsr_dest"]."', '".$FW["fsr_dest_opt"]."', '".$FW["fsr_proto"]."', \n";

		/* check for alternative dest port number */
		if ( !empty($FW["fsr_dst_port_opt"]) )
			$query .= "'".$FW["fsr_dst_port_opt"]."', ";
		else
			$query .= "'".$FW["fsr_dst_port"]."', ";

		/* check for alternative src port number */
		if ( !empty($FW["fsr_src_port_opt"]) )
			$query .= "'".$FW["fsr_src_port_opt"]."' ";
		else
			$query .= "'".$FW["fsr_src_port"]."', ";

		$query .= " $fsr_pos )";

	} else {
		
		$query  = " UPDATE fw_sh_rules SET ";
		$query .= " fsr_action='".$FW["fsr_action"]."', ";
		$query .= " fsr_src='".$FW["fsr_src"]."', ";
		$query .= " fsr_src_opt='".$FW["fsr_src_opt"]."', ";
		$query .= " fsr_dest='".$FW["fsr_dest"]."', ";
		$query .= " fsr_dest_opt='".$FW["fsr_dest_opt"]."', ";
		$query .= " fsr_proto='".$FW["fsr_proto"]."', ";
		
		if ( !empty( $FW["fsr_dst_port_opt"] ) )
			$query .= " fsr_dst_port='".$FW["fsr_dst_port_opt"]."', ";
		else
			$query .= " fsr_dst_port='".$FW["fsr_dst_port"]."', ";
		
		if ( !empty( $FW["fsr_src_port_opt"] ) )
			$query .= " fsr_src_port='".$FW["fsr_src_port_opt"]."' ";
		else
			$query .= " fsr_src_port='".$FW["fsr_src_port"]."' ";
			
		$query .= " WHERE fsr_id=".$FW["fsr_id"]." ";
		
	}
	$s->query($query);
	$s->free_result();

	/*
	 *	set the changed flag
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	return to mask
	 */
	ccbox_fw_shore_rules_show();
	return TRUE;
	
}

function ccbox_fw_shore_rules_action_listbox( $name, $selected="" ) {

	$opts["ACCEPT"]   = "ACCEPT";
	$opts["DROP"]     = "DROP";
	$opts["REJECT"]   = "REJECT";
	$opts["DNAT"]     = "DNAT";
	$opts["REDIRECT"] = "REDIRECT";
	$opts["LOG"]      = "LOG"; 
	/* built in actions */
	$_opts["action.allowBcast"]   = "AllowBcast";
	$_opts["action.dropBcast"]    = "DropBcast";
	$_opts["action.dropNotSyn"]   = "DropNotSyn";
	$_opts["action.rejNotSyn"]    = "RejNotSyn";
	$_opts["action.dropInvalid"]  = "DropInvalid";
	$_opts["action.allowInvalid"] = "AllowInvalid";

	/* other defined actions */
	if ( file_exists("/usr/share/shorewall/actions.std") ) {
		foreach ( file("/usr/share/shorewall/actions.std") as $line ) {
			$line = trim($line);
			if ( substr($line, 0, 1 ) != "#" && !empty($line) ) {
				$_tmp = explode("#", $line);
				$_opts["action.".trim($_tmp[0])] = trim($_tmp[0]);
			}
		}
	}
	natsort($_opts);
		
	$box = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	foreach ( array_merge($opts, $_opts) as $key => $val ) {
		$box .= "<option value=\"$key\"";
		if ( $selected == $key )
			$box .= " selected";
		$box .= ">$val</option>\n";
	}
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_rules_proto_listbox( $name, $selected="" ) {

	$opts["none"]  = "kein";
	$opts["all"]   = "alle";
	$opts["icmp"]  = "icmp";
	$opts["tcp"]   = "tcp";
	$opts["udp"]   = "udp";
	$opts["gre"]   = "gre";

	$box = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	foreach ( $opts as $key => $val ) {
		$box .= "<option value=\"$key\"";
		if ( $selected == $key )
			$box .= " selected";
		$box .= ">$val</option>\n";
	}
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_rules_port_listbox( $name, $selected="" ) {

	$box = "<select name=\"$name\" class=\"input8c\">\n";

	/* keine angabe */
	$box .= "<option value=\"none\" ";
	if ( $selected == "none" )
		$box .= " selected";
	$box .= ">Kein</option>";

	/* alle prototkolle */
	$box .= "<option value=\"all\" ";
	if ( $selected == "all" )
		$box .= " selected";
	$box .= ">alle</option>";
	
	foreach ( ccbox_fw_service_parse() as $key => $val ) {
		$box .= "<option value=\"".$key."\"";
		if ( $selected == $key )
			$box .= " selected";
		$box .= ">".str_replace(" ", "&nbsp", sprintf("%-15s ", $val[0]))." Port: ".$key."</option>\n";
	}
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_zone_get() {
	
	$FW = array();
	$s = new SQL;

	if ( func_num_args() > 0 ) {
		$fsz_id = func_get_arg(0);
		$s->query("SELECT * FROM fw_sh_zone WHERE fsz_id=$fsz_id ");
		$s->next_record();
		return $s->msdk_get_sql_arr(1);
	}
	
	$s->query("SELECT * FROM fw_sh_zone");
	while ( $s->next_record() )
		$FW[$s->f("fsz_id")] = $s->msdk_get_sql_arr();
		
	$s->free_result();
	
	$FW[998]["fsz_id"]      = 998;
	$FW[998]["fsz_short"]   = "fw";
	$FW[998]["fsz_display"] = "CCBOX";
	$FW[998]["fsz_comment"] = "CCBOX eigene Zone";

	$FW[997]["fsz_id"]      = 997;
	$FW[997]["fsz_short"]   = "all";
	$FW[997]["fsz_display"] = "ALLE";
	$FW[997]["fsz_comment"] = "Sonderzone Alle";
	
	return $FW;
	
}

function ccbox_fw_shore_zone_mask() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0);

	ccbox_fw_shore_state_get(1);	
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_zones.inc.php");
	return TRUE;
	
}


function ccbox_fw_shore_zone_save($FW) {
	
	if ( !is_array($FW) ) {
		ccbox_fw_shore_zone_mask(ccbox_get_error_msg("FW_SH_ZONE_WRONG_DATATYPE"));
		return TRUE;
	}

	/*
	 *	set some values
	 */
	$s     = new SQL;
	$q_arr = array();
	$query = "";
	$n_arr = array();
	/*
	 * fill the name cache
	 */
	foreach ( ccbox_fw_shore_zone_get() as $arr )
		$n_arr[] = $arr["fsz_short"];
	unset($arr);

	if ( empty($FW["fsz_display"]) ) {
		$MSG = ccbox_get_error_msg("FW_SH_ZONE_NO_NAME");
	}
	
	if ( !isset($MSG) ) {
		$s->query("SELECT * FROM fw_sh_zone WHERE fsz_display='".$FW["fsz_display"]."' ");
		if ( $s->num_rows() == 1 ) {
			$s->next_record();
			if ( $s->f("fsz_id") != $FW["fsz_id"] )
				$MSG = ccbox_get_error_msg("FW_SH_ZONE_NAME_DBL");
			
		} elseif ( $s->num_rows() > 1 ) {
			$MSG = ccbox_get_error_msg("FW_SH_ZONE_NAME_DBL");
		} 
		$s->free_result();
	}

	if ( isset($MSG) ) {
		include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_zones_edit.inc.php");
		return FALSE;
	}

	/*
	 *	check for shorewall zone short name convention
	 */
	$FW["fsz_short"] = substr( strtolower($FW["fsz_display"]), 0, 5 );
	$i=0;
	while ( in_array( $FW["fsz_short"], $n_arr ) )
		$FW["fsz_short"] = substr( strtolower($FW["fsz_display"]), 0, 4 ).$i++;
		
	/*
	 *	save data into database
	 */
	if ( isset($FW["fsz_id"]) ) {
		$query  = "UPDATE fw_sh_zone SET fsz_short='".$FW["fsz_short"]."', ";
		$query .= "fsz_display='".$FW["fsz_display"]."', fsz_comment='".$FW["fsz_comment"]."'";
		$query .= " WHERE fsz_id=".$FW["fsz_id"]; 
	} else {
		$query   = " INSERT INTO fw_sh_zone (fsz_short, fsz_display, fsz_comment) VALUES ";
		$query  .= " ('".$FW["fsz_short"]."', '".$FW["fsz_display"]."', '".$FW["fsz_comment"]."' )";
	}
	$s->query($query);
	$s->free_result();


	/*
	 *	tell the system that change happend
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	

	/*
	 *	return to mainview
	 */
	ccbox_fw_shore_zone_mask( "DATEN GESPEICHERT");
	return TRUE;	

	
}

function ccbox_fw_shore_zone_listbox($name, $selected="") {
	
	$box  = "<select name=\"$name\" class=\"".$GLOBALS["CCBOX"]["HTML"]["INPUT_SELECT_CSS"]."\">\n";
	$box .= "<option value=\"-1\"> -- Auswahl -- </option>\n";
	foreach ( ccbox_fw_shore_zone_get() as $arr ) {
		$box .= "<option value=\"".$arr["fsz_id"]."\" ";
		if ( $arr["fsz_id"] == $selected )
			$box .= " selected ";
		$box .= ">".$arr["fsz_display"]."</option>\n";
	}
	
	$box .= "</select>\n";
	
	return $box;
	
}

function ccbox_fw_shore_zone_del($fsz_id) {

	if ( $fsz_id > 900 ) {
		ccbox_fw_shore_zone_mask(ccbox_get_error_msg("FW_SH_ZONE_SYSTEM_ZONE"));
		return TRUE;
	} elseif ( !is_numeric($fsz_id)  ) {
		ccbox_fw_shore_zone_mask(ccbox_get_error_msg("FW_SH_ZONE_NO_FSZ_ID"));
		return TRUE;
	} 

	$s = new SQL;
	/*
	 *	tell the system that changes happend
	 */
	$s->query("UPDATE fw_sh_setup SET fss_changed=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	delete the zone
	 */
	$s->query("DELETE FROM fw_sh_zone WHERE fsz_id=$fsz_id");
	$s->free_result();
	
	ccbox_fw_shore_zone_mask("ZONE GEL&Ouml;SCHT");
	return TRUE;

}

function ccbox_fw_shore_zone_edit($fsz_id) {
	
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1);
	
	$FW = ccbox_fw_shore_zone_get($fsz_id);
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_zones_edit.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_zone_msk() {
	
	if ( func_num_args() > 0 ) {
		$FW = func_get_arg(0);
		if ( !is_array($FW) )
			unset($FW);
	}
	if ( func_num_args() > 1 )
		$MSG = func_get_arg(1); 
	
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_zones_edit.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_setup_show() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0);
	if ( func_num_args() > 1 )
		$log = func_get_arg(1);
	
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_setup_genrc.inc.php");
	return TRUE;
	
}

function ccbox_fw_shore_setup() {
	
	if ( func_num_args() > 0 )
		$MSG = func_get_arg(0);
	
	$FW = ccbox_fw_shore_state_get();
	include($GLOBALS["CCBOX"]["SKIN_ROOT"]."fw_sh_setup.inc.php");
	return TRUE;

}

function ccbox_fw_shore_setup_save($FW) {
	
	$s = new SQL;
	$s->query("UPDATE fw_sh_setup SET fss_active='".$FW["fss_active"]."' WHERE fss_id=1");
	$s->free_result();

	if ( $FW["fss_active"] == 0 )
		exec("/sbin/shorewall clear 2>&1", $out);

	//ccbox_fw_shore_setup_genrc(0,0);
	ccbox_fw_shore_setup("Einstellungen gespeichert");
	return TRUE;
}

function ccbox_fw_shore_setup_genrc($log, $no_mask=1 ) {
	
	if ( $GLOBALS["DEMO"] ) {
		ccbox_fw_shore_setup_show("SHOREWALL CONFIG GENERATED!");
		return TRUE;
	}


	/*
	 * get all values
	 */
	$ZONE   = ccbox_fw_shore_zone_get();
	$IFACE  = ccbox_fw_shore_iface_get();
	$POLICY = ccbox_fw_shore_policy_get();
	$RULES  = ccbox_fw_shore_rules_get();
	$SETUP  = ccbox_fw_shore_state_get();
	$PATH   = $GLOBALS["CCBOX"]["ROOT"]."etc/shorewall/";
	
	/*
	 * gen the zone file
	 */
	$f1 = fopen($PATH."zones", "w+");
	fputs($f1, "# ".$PATH."zones\n");
	fputs($f1, "# generiert am: ".date("Y/m/d H:i", time())."\n");
	fputs($f1, "#ZONE   DISPLAY         COMMENTS\n");
	foreach ( $ZONE as $key => $arr ) {
		if ( $arr["fsz_id"] != 998 && $arr["fsz_id"] != 997 )
			fputs($f1, $arr["fsz_short"]."\t".$arr["fsz_display"]."\t\t".$arr["fsz_comment"]."\n");
	}

	fputs($f1, "#LAST LINE - ADD YOUR ENTRIES ABOVE THIS ONE - DO NOT REMOVE\n");
	fclose($f1);
	
	/*
	 *	gen the interfeace file
	 */
	$f1 = fopen($PATH."interfaces", "w+");
	fputs($f1, "# ".$PATH."interfaces\n");
	fputs($f1, "# generiert am: ".date("Y/m/d H:i", time())."\n");
	fputs($f1, "#ZONE    INTERFACE      BROADCAST       OPTIONS\n");
	foreach ( $IFACE as $key => $arr ) {
		if ( $arr["fsi_iface"] == "msvpn" ) {
			fputs($f1, $ZONE[$arr["fsi_zone"]]["fsz_short"]."\t".$arr["fsi_iface"]."\n");
		} else {
			if ( empty($arr["fsi_bcast"]) && !empty($arr["fsi_opts"]) || $arr["fsi_bcast"] == "none" )
				$arr["fsi_bcast"] = "-";
			fputs($f1, $ZONE[$arr["fsi_zone"]]["fsz_short"]."\t".$arr["fsi_iface"]."\t".$arr["fsi_bcast"]."\t".$arr["fsi_opts"]."\n" );
		}
	}

	fputs($f1, "#LAST LINE -- ADD YOUR ENTRIES BEFORE THIS ONE -- DO NOT REMOVE\n");
	fclose($f1);
	
	/*
	 *	gen the policy file
	 */
	$f1 = fopen($PATH."policy", "w+");
	fputs($f1, "# ".$PATH."policy\n");
	fputs($f1, "# generiert am: ".date("Y/m/d H:i", time())."\n");
	fputs($f1, "#SOURCE         DEST            POLICY          LOG LEVEL       LIMIT:BURST\n");
	foreach ( $POLICY as $key => $arr ) {
		if ( $arr["fsp_logl"] == "none" )
			$arr["fsp_logl"] = "-";
		
		/*
		 * catch special zones for src
		 */
		if ( $arr["fsp_src"] == 998 )
			$str = "\$FW";
		elseif ( $arr["fsp_src"] == 997 )
			$str = "all";
		else
			$str = $ZONE[$arr["fsp_src"]]["fsz_short"];
			
		$str .= "\t\t";
		/*
		 *	catch special zones for dst
		 */
		if ( $arr["fsp_dest"] == 998 )
			$str .= "\$FW";
		elseif ( $arr["fsp_dest"] == 997 )
			$str .= "all";
		else
			$str .= $ZONE[$arr["fsp_dest"]]["fsz_short"];
			
		$str .= "\t\t".$arr["fsp_policy"]."\t\t".$arr["fsp_logl"]."\n";
		fputs($f1, $str );
	}
	fputs($f1, "#LAST LINE -- ADD YOUR ENTRIES BEFORE THIS ONE -- DO NOT REMOVE\n");
	fclose($f1);

	/*
	 *	gen rules file
	 */
	$f1 = fopen($PATH."rules", "w+");
	fputs($f1, "# ".$PATH."rules\n");
	fputs($f1, "# generiert am: ".date("Y/m/d H:i", time())."\n");
	fputs($f1, "#ACTION         SOURCE          DEST            PROTO   DEST    SOURCE  ORIGINAL                RATE    USER/\n");
	fputs($f1, "#                                                       PORT    PORT(S) DEST                    LIMIT   GROUP\n");

	foreach ( $RULES as $key => $arr ) {
		//
		if ( substr_count($arr["fsr_action"], "action."  )  )
			$str = str_replace("action.", "", $arr["fsr_action"] )."\t";
		else
			$str = $arr["fsr_action"]."\t";
		

		/*
		 *	catch special zones for src
		 */
		if ( $arr["fsr_src"] == 998 )
			$str .= "\$FW";
		elseif ( $arr["fsr_src"] == 997 )
			$str .= "all";
		else
			$str .= $ZONE[$arr["fsr_src"]]["fsz_short"];

		if ( !empty( $arr["fsr_src_opt"] ) && ( $arr["fsr_src"] != 998 || $arr["fsr_src"] != 997 ) )
			$str .= ":".$arr["fsr_src_opt"];

		$str .= "\t";
		/*
		 *	catch special zones for dst
		 */
		if ( $arr["fsr_dest"] == 998 )
			$str .= "\$FW";
		elseif ( $arr["fsr_dest"] == 997 )
			$str .= "all";
		else
			$str .= $ZONE[$arr["fsr_dest"]]["fsz_short"];

		if ( !empty( $arr["fsr_dest_opt"] ) && ( $arr["fsr_dest"] != 998 || $arr["fsr_dest"] != 997 ) )
			$str .= ":".$arr["fsr_dest_opt"];

		$str .= "\t";
		/*
		 *	protocol
		 */
		if ( substr_count($arr["fsr_action"], "action." ) ) {
			continue(1);
			$str .= "\n";
		} elseif ( $arr["fsr_proto"] == "none" )
			$str .= "-\t";
		else
			$str .= $arr["fsr_proto"]."\t";
		
		/*
		 *	dest port	
		 */
		if ( $arr["fsr_dst_port"] == "all" || $arr["fsr_dst_port"] == "none" )
			$str .= "-\t";
		elseif ( substr_count($arr["fsr_action"], "action."  ) )
			$str .= "\t";
		else
			$str .= $arr["fsr_dst_port"]."\t";
		/*
		 *	src port
		 */
		if ( $arr["fsr_src_port"] == "none" || $arr["fsr_src_port"] == "all" )
			$str .= "-\t";
		elseif ( substr_count($arr["fsr_action"], "action."  ) )
			$str .= "\t";
		else
			$str .= $arr["fsr_src_port"]."\t";

		$str .= "\n";
		fputs($f1, $str);
	}	
	fputs($f1, "#LAST LINE -- ADD YOUR ENTRIES BEFORE THIS ONE -- DO NOT REMOVE\n");
	fclose($f1);
	/*
	 * its done...
	 */
	
	if ( $log == 1 ) {
		unset($log);
		$MSG = "SHOREWALL CONFIG GENERATED!";
		$log = "<pre class=\"code8\">\n";
		exec("/sbin/shorewall check 2>&1", $out);
		$log .= implode("\n", str_replace("\$FW", "CCBOX", $out));
		$log .= "</pre>\n";
	} else {
		unset($log);
		$MSG = "SHOREWALL CONFIG GENERATED!";
	}
	$s = new SQL;
	$s->query("UPDATE fw_sh_setup SET fss_genrc=1 WHERE fss_id=1");
	$s->free_result();
	
	/*
	 *	write the shorewall.conf file
	 */
	if ( $SETUP["fss_active"] == 1 )
		$SETUP["fss_enabled"] = "Yes";
	else
		$SETUP["fss_enabled"] = "No";
		
	$f1 = fopen($GLOBALS["CCBOX"]["ROOT"]."etc/shorewall/shorewall.conf", "w+");
	foreach ( file($GLOBALS["CCBOX"]["TEMPLATES"]."shorewall.conf") as $val ) {
		fputs($f1, ccbox_set_query_params($val, $SETUP, 0));
	}
	fclose($f1);
	/*
	 *
	 */
	$f1 = fopen($GLOBALS["CCBOX"]["ROOT"]."etc/default/shorewall", "w+");
	fputs($f1, "# ".$GLOBALS["CCBOX"]["ROOT"]."etc/default/shorewall\n");
	fputs($f1, "# generiert am: ".date("Y/m/d H:i", time())."\n");
	fputs($f1, "# prevent startup with default configuration\n");
	fputs($f1, "# set the following varible to 1 in order to allow Shorewall to start\n");
	if ( $SETUP["fss_active"] == 1 )
		fputs($f1, "startup=1\n");
	else
		fputs($f1, "startup=0\n");
	fclose($f1);
	
	if ( $no_mask == 1 )
		ccbox_fw_shore_setup_show($MSG, $log);
		
	return TRUE;
	
}

function ccbox_fw_shore_setup_load() {

	if ( $GLOBALS["DEMO"] ) {
		ccbox_fw_shore_rules_load("FIREWALL KONFIGURATION GELADEN!");
		return TRUE;
	}
	
	$FW = ccbox_fw_shore_state_get();
	if ( $FW["fss_genrc"] != 1 ) {
		ccbox_fw_shore_rules_load("NACH AKTUALISIERUNG DER EINSTELLUNGEN SIND DIE REGELN NICHT NEU ERZEUGT WORDEN!");
		return TRUE;
	}
	

	$s   = new SQL;
	/*
	 * 	reload the firewall
	 */
	if ( $FW["fss_active"] == 1 )
		exec("/sbin/shorewall restart 2>&1", $out);
	else
		exec("/sbin/shorewall clear 2>&1", $out);
	
	/*
	 * 	check for errors
	 */
	if ( substr_count( implode("", $out), "ERROR:" ) ) {
		$MSG = "FEHLER BEIM LADEN DER FIREWALL";
		$s->query("UPDATE fw_sh_setup SET fss_state='E', fss_changed=1 WHERE fss_id=1  ");
		$s->free_result();
	} else {
		$MSG = "FIREWALL KONFIGURATION GELADEN!";
		$s->query("UPDATE fw_sh_setup SET fss_state='L', fss_changed=0 WHERE fss_id=1 ");
		$s->free_result();
	}
	$log  = "<pre class=\"code8\">\n";
	$log .= implode("\n", str_replace("\$FW", "CCBOX", $out));
	$log .= "</pre>\n";
		
	ccbox_fw_shore_rules_load($MSG, $log);
	return TRUE;			
	
}

function ccbox_fw_shore_state_get() {
	
	$s = new SQL;
	$FW = array();
	$s->query("SELECT * FROM fw_sh_setup WHERE fss_id=1 ");
	$s->next_record();
	$FW = $s->msdk_get_sql_arr(1);
	
	if ( func_num_args() > 0 ) { 
		if ( $FW["fss_changed"] == 1 ){
			$title = "Firewall Setup Info";
			$MSG  = "Die Einstellungen in der Firewall sind ge&auml;ndert worden!";
			//$MSG .= "Bitte vergessen Sie nicht die ";
			include($GLOBALS["CCBOX"]["SKIN_ROOT"]."message_box2.inc.php");
		}
		return TRUE;
	} else {
		return $FW;
	}
}

?>
