#############################################################################################
## Configuration template for GXP-2000/GXP2020/GXP1200/GXP2010 firmware version 1.1.6.16
#############################################################################################

##############################################################################
##  Advanced/System-wide Options
##############################################################################

# Enable Provider Lock. 0 - No, 1 - Yes.
P9999 = 0

# Provider Lock Key. A string of up to 16 bytes.
P9998 = 

# Provider Authentication. A string of up to 16 bytes
P9997 = 

# Password for configuration file authentication
P1 = 

# Admin password for web interface
P2 = admin

# G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate
P49 = 0

# iLBC Frame Size. 0 - 20ms(default), 1 - 30ms.
P97 = 0

# iLBC payload type. Between 96 and 127, default is 97.
P96 = 97

# Silence Suppression. 0 - no, 1 - yes
P50 = 0

# Voice Frames per TX (up to 10/20/32/64 frames for G711/G726/G723/other codecs respectively)
P37 = 2

# Layer 3 QoS (IP Diff-Serv or Precedence value for RTP)
P38 = 48

# Layer 2 QoS. 802.1Q/VLAN Tag (VLAN classification for RTP)
P51 = 0

# Layer 2 QoS. 802.1p priority value (0 - 7)
P87 = 0

# No Key Entry Timeout. Default - 4 seconds.
P85 = 4

# Use # as Dial Key. 0 - no, 1 - yes
P72 = 1

# Local RTP port (1024-65535, default 5004)
P39 = 5004 

# Use Random Port. 0 - no, 1 - yes
P78 = 0

# Keep-alive interval (in seconds. default 20 seconds)
P84 = 20

# Use NAT IP.  This will enable our SIP client to use this IP in the SIP/SDP message. Example 64.3.153.50.
P101 =

# STUN server
P76 = 

#-------------------------------------------------------------
# Firmware Upgrade 
#-------------------------------------------------------------

# Firmware Upgrade. 0 - TFTP Upgrade,  1 - HTTP Upgrade.
P212 = 1

# Firmware Server Path
#P192 = 192.168.44.11/gs/

# Config Server Path
#P237 = 192.168.44.11/gs/

# Firmware File Prefix
P232 = 

# Firmware File Postfix
P233 =

# Config File Prefix
P234 =

# Config File Postfix
P235 =

# Allow DHCP Option 66 to override server. 0 - No, 1 - Yes. Default is Yes.
# When set to Yes(1), it will override the configured provision path and method.
P145 = 1

# Automatic Upgrade. 0 - No, 1 - Yes. Default is No.
P194 = 0

# Check for new firmware every () minutes, unit is in minute, minimnu 60 minutes, default is 7 days.
P193 = 10080

# Use firmware pre/postfix to determine if f/w is required
# 0 = Always Check for New Firmware 
# 1 = Check New Firmware only when F/W pre/suffix changes
# 2 = Always Skip the Firmware Check
P238 = 0

# Authenticate Conf File
P240 = 0

#----------------------------------------
# XML Phonebook
#----------------------------------------
# Enable Phonebook XML Download
# 0 = No
# 1 = YES, HTTP
# 2 = YES, TFTP
P330 = 1

# Phonebook XML Server Path
# This is a string of up to 128 characters that should contain a path to the XML file.  
# It MUST be in the host/path format. For example: "directory.grandstream.com/engineering"
P331 = http://192.168.44.11:99/gs/gs_phonebook.php?file=

# Phonebook Download Interval
# This is an integer variable in hours.  
# Valid value range is 0-720 (default 0), and greater values will default to 720
P332 = 320

# Remove Manually-edited entries on Download
# 0 - No, 1 - Yes, other values ignored
P333 = 1

#---------------------------------------
# XML Idle Screen 
# N/A for GXP1200
#---------------------------------------
# Enable Idle Screen XML Download
# 0 = No
# 1 = YES, HTTP
# 2 = YES, TFTP
P340 = 1

# Idle Screen XML Server Path
# This is a string of up to 128 characters that should contain a path to the XML file.  
# It MUST be in the host/path format.  For example: "directory.grandstream.com/engineering"
P341 = <%ae_srv_addr%>:99/grandstream.php?ae_ext=<%ae_ext%>&file=

#---------------------------------------
# XML Application
# GXP2020/2010 only
#---------------------------------------
# Server Path
P337 =

# Softkey Label
P352 =

# Offhook Auto Dial
P71 =

# DTMF Payload Type
P79 = 101

# Syslog Server (name of the server, max length is 64 charactors)
P207 = 192.168.44.11

# Syslog Level (Default setting is NONE)
# 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR
P208 = 0

# NTP Server
P30 = pool.ntp.org

# Allow DHCP Option 42 to override NTP server. 0 - No, 1 - Yes. Default is No.
# When set to Yes(1), it will override the configured NTP server.
P144 = 0

# Distinctive Ring Tone
# Use custom ring tone 1 if incoming caller ID is the following:
P105 =

# Use custom ring tone 2 if incoming caller ID is the following:
P106 =

# Use custom ring tone 3 if incoming caller ID is the following:
P107 =

# System Ring Tone
P345 = f1=440,f2=480,c=200/400;

### Call Progress Tones ###
# Syntax: f1=val,f2=val[,c=on1/off1[-on2/off2[-on3/off3]]]; 
# (Frequencies are in Hz and cadence on and off are in 10ms) 

# Dial Tone
P343 = f1=350,f2=440;

# Message Waiting
P344 = f1=350,f2=440,c=10/10;

# Ring Back Tone
P346 = f1=440,f2=480,c=200/400;

# Call-Waiting Tone
P347 = f1=440,f2=440,c=25/525;

# Busy Tone
P348 = f1=480,f2=620,c=50/50;

# Reorder Tone
P349 = f1=480,f2=620,c=25/25;

# Intercom User ID. (Account 1)
# For GXP-2010/2020
P1303 =

# Disable Call Waiting. 0 - no, 1 - yes
P91 = 0

# Disable Call-Waiting Tone. 0 - no, 1 - yes
P186 = 0

# Use Quick IP-call mode. 0 - no, 1 - yes
P184 = 0

# Lock Keypad Update. 0 - no, 1 - yes
P88 = 0

# Headset Port Type. 0 - 2.5mm, 1 - RJ22
# Not applicable for GXP-1200
P1300 = 0

# Headset TX gain (dB). 0 - 0 dB, 1 - -6 dB, 2 - +6 dB.
P1301 = 0

# Headset RX gain (dB). 0 - 0 dB, 1 - -6 dB, 2 - +6 dB.
P1302 = 0

# Display Language. 0 - English, 1 - Secondary Language
P342 = 3

# language file postfix
P399 =

####################################################################
# Primary Account (Account 1) Settings
####################################################################

# Account Active (In Use). 0 - no, 1 - yes
P271 = 1

# Account Name
P270 = <%ae_username%>

# SIP Server
P47 = <%ae_srv_addr%>

# Outbound Proxy
P48 = <%ae_srv_addr%>

# SIP User ID
P35 = <%ae_ext%>

# Authenticate ID
P36 = <%ae_ext%>

# Authenticate password
P34 = <%ae_secret%>

# Display Name (John Doe)
P3 = <%ae_username%>

# Use DNS SRV. 0 - No, 1 - Yes.
P103 = 0

# SIP User ID is phone number. 0 - no, 1 - yes
P63 = 1

# SIP Registration. 0 - no, 1 - yes
P31 = 1

# Unregister On Reboot. 0 - no, 1 - yes
P81 = 1

# Register Expiration (in minutes. default 1 hour, max 45 days)
P32 = 60

# Local SIP port (default 5060)
P40 = 5060

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P138 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P209 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P250 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P130 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P131 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P52 = 0

# SUBSCRIBE for MWI. (Whether or not send SUBSCRIBE for Message Waiting Indication) 0 - No, 1 - Yes.
P99 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P188 = 0

# Proxy-Require (A SIP extension to enable firewall penetration)
P197 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P33 =

# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P73 = 8

# Early Dial (use "Yes" only if proxy supports 484 response). 0 - no, 1 - yes
P29 = 0

# Dial Plan Prefix (dial plan prefix string).
P66 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P139 = 20

# Enable Call Features.  0 - no, 1 - yes
P191 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P182 = 0

# Session Expiration (in seconds. default 180 seconds. Allowed value: 90-65535)
P260 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P261 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P262 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P263 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P264 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P265 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P266 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P267 = 1

# Enable 100rel. 0 - no, 1 - yes
P272 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P104 = 0

# Send Anonymous (caller ID will be blocked if set to Yes). 0 - no, 1 - yes
P65 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header.
P268 = 0
      
# Anonymous Call Rejection. 0 - no, 1 - yes
P129 = 0

# Auto Answer. 0 - no, 1 - yes
P90 = 0

# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P298 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P299 = 1

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P258 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P135 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P137 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P57 = 0

# choice 2.  
P58 = 8

# choice 3.   
P59 = 4

# choice 4.   
P60 = 18

# choice 5.   
P61 = 2

# choice 6.   
P62 = 98

# choice 7. 
P46 = 9

# choice 8.  
P98 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P183 = 0

# eventlist BLF URI
# N/A for GXP1200
P134 = 

# Special Feature.    100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK
# 110 - Sylantro.
P198 = 100

########################################################################
# SIP Account 2 Settings
########################################################################

# Account Active (In Use). 0 - no, 1 - yes
P401 = 0

#Account Name
P417 = 

# SIP Server
P402 =

# Outbound Proxy Server
P403 =

# Account 2 SIP User ID
P404 =

# Authenticate ID
P405 =

# Authenticate Password
P406 =

# Display Name (John Doe)
P407 =

# Use DNS SRV. 0 - No, 1 - Yes.
P408 = 0

# User ID is phone number; "user=phone". 0 - no, 1 - yes
P409 = 0

# SIP Registration. 0 - no, 1 - yes
P410 = 1

# Unregister on Reboot. 0 - no, 1 - yes
P411 = 0

# Register Expiration (in minutes. default 1 hour, max 45 days)
P412 = 60

# Local SIP port (default 5062)
P413 = 5062

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P471 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P440 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P441 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P448 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P447 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P414 = 1

# Subscribe MWI. (Whether or not send SUBSCRIBE for Message Waiting Indication) 0 - No, 1 - Yes.
P415 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P488 = 0

# Proxy Require
P418 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P426 =
 
# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P416 = 8
 
# Early Dial. 0 - no, 1 - yes
P422 = 0

# Dial Plan Prefix
P419 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P470 = 20

# Enable Call Features. 0 - no, 1 - yes.
P420 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P442 = 0

# Default Session Expires (in seconds. default 180 seconds. Allowed value: 90-65535)
P434 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P427 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P428 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P429 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P430 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P431 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P432 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P433 = 1

# Enable 100rel. 0 - no, 1 - yes
P435 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P423 = 0

# Send Anonymous. 0 - no, 1 - yes
P421 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header.
P468 = 0

# Anonymous Call Rejection. 0 - no, 1 - yes
P446 = 0

# Auto Answer. 0 - no, 1 - yes.
P425 = 0

# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P438 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P439 = 0

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P449 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P469 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P487 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P451 = 0

# choice 2.  
P452 = 8

# choice 3   
P453 = 4

# choice 4.   
P454 = 18

# choice 5.   
P455 = 2

# choice 6.   
P456 = 98

# choice 7. 
P457 = 9

# choice 8.  
P458 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P443 = 0

# eventlist BLF URI
# N/A for GXP1200
P444 = 

# Special Feature.    100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro.
P424 = 100

########################################################################
# SIP Account 3 Settings (GXP2000/2020/2010)
########################################################################

# Account Active (In Use). 0 - no, 1 - yes
P501 = 1

# Account Name
P517 =

# SIP Server
P502 =

# Outbound Proxy Server
P503 =

# SIP User ID
P504 =

# Authenticate ID
P505 =

# Authenticate Password
P506 =

# Display Name (John Doe)
P507 =

# Use DNS SRV. 0 - No, 1 - Yes.
P508 = 0

# User ID is phone. "user=phone". 0 - no, 1 - yes
P509 = 0

# SIP Registration. 0 - no, 1 - yes
P510 = 1

# Unregister on Reboot. 0 - no, 1 - yes
P511= 0

# Register Expiration (in minutes. default 1 hour, max 45 days)
P512 = 60

# Local SIP port (default 5064)
P513 = 5064

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P571 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P540 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P541 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P548 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P547 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P514 = 1

# Subscribe MWI. (Whether or not send SUBSCRIBE for Message Waiting Indication) 0 - no, 1 - yes
P515 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P588 = 0

# Proxy Require
P518 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P526 =
 
# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P516 = 8

# Early Dial. 0 - no, 1 - yes
P522 = 0

# Dial Plan Prefix
P519 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P570 = 20

# Enable Call Features. 0 - no, 1 - yes.
P520 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P542 = 0

# Default Session Expires (in seconds. default 180 seconds. Allowed value: 90-65535)
P534 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P527 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P528 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P529 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P530 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P531 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P532 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P533 = 1

# Enable 100rel. 0 - no, 1 - yes
P535 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P523 = 0

# Send Anonymous. 0 - no, 1 - yes
P521 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header
P568 = 0

# Anonymous Call Rejection. 0 - no, 1 - yes
P546 = 0

# Auto Answer. 0 - no, 1 - yes
P525 = 0
 
# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P538 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P539 = 0

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P549 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P569 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P587 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P551 = 0

# choice 2.  
P552 = 8

# choice 3.   
P553 = 4

# choice 4.   
P554 = 18

# choice 5.   
P555 = 2

# choice 6.   
P556 = 98

# choice 7. 
P557 = 9

# choice 8.  
P558 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P543 = 0

# eventlist BLF URI
P544 = 

# Special Feature.    100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro.
P524 = 100

########################################################################
# SIP Account 4 Settings (GXP2000/2020/2010)
########################################################################

# Account Active (In Use). 0 - no, 1 - yes
P601 = 1

#Account Name
P617 = 

# SIP Server
P602 =

# Outbound Proxy Server
P603 =

# SIP User ID
P604 =

# Authenticate ID
P605 =

# Authenticate Password
P606 =

# Display Name (John Doe)
P607 =

# Use DNS SRV. 0 - no, 1 - yes.
P608 = 0

# User ID is phone number. "user=phone". 0 - no, 1 - yes
P609 = 0

# SIP Registration. 0 - no, 1 - yes
P610 = 1

# Unregister on Reboot. 0 - no, 1 - yes
P611 = 0

# Register Expiration (in minutes. default 1 hour, max 45 days)
P612 = 60

# Local SIP port (default 5066)
P613 = 5066

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P671 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P640 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P641 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P648 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P647 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P614 = 1

# Subscribe MWI. Whether or not send SUBSCRIBE for Message Waiting Indication.  0 - no, 1 - yes
P615 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P688 = 0

# Proxy Require
P618 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P626 =
 
# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P616 = 8

# Early Dial. 0 - no, 1 - yes
P622 = 0

# Dial Plan Prefix
P619 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P670 = 20

# Enable Call Features. 0 - no, 1 - yes.
P620 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P642 = 0

# Default Session Expires (in seconds. default 180 seconds. Allowed value: 90-65535)
P634 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P627 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P628 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P629 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P630 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P631 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P632 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P633 = 1

# Enable 100rel. 0 - no, 1 - yes
P635 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P623 = 0

# Send Anonymous. 0 - no, 1 - yes
P621 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header
P668 = 0

# Anonymous Call Rejection. 0 - no, 1 - yes
P646 = 0

# Auto Answer. 0 - no, 1 - yes.
P625 = 0

# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P638 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P639 = 0

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P649 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P669 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P687 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P651 = 0

# choice 2.  
P652 = 8

# choice 3.   
P653 = 4

# choice 4.   
P654 = 18

# choice 5.   
P655 = 2

# choice 6.   
P656 = 98

# choice 7. 
P657 = 9

# choice 8.  
P658 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P643 = 0

# eventlist BLF URI
P644 = 

# Special Feature.  100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro.
P624 = 100


########################################################################
# SIP Account 5 Settings.   (GXP2020 only)
########################################################################

# Account Active (In Use). 0 - no, 1 - yes
P1701 = 1

#Account Name
P1717 = 

# SIP Server
P1702 =

# Outbound Proxy Server
P1703 =

# SIP User ID
P1704 =

# Authenticate ID
P1705 =

# Authenticate Password
P1706 =

# Display Name (John Doe)
P1707 =

# Use DNS SRV. 0 - no, 1 - yes.
P1708 = 0

# User ID is phone number. "user=phone". 0 - no, 1 - yes
P1709 = 0

# SIP Registration. 0 - no, 1 - yes
P1710 = 1

# Unregister on Reboot. 0 - no, 1 - yes
P1711 = 0

# Register Expiration (in minutes. default 1 hour, max 45 days)
P1712 = 60

# Local SIP port (default 5066)
P1713 = 5068

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P1771 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P1740 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P1741 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P1748 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P1747 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P1714 = 1

# Subscribe MWI. Whether or not send SUBSCRIBE for Message Waiting Indication.  0 - no, 1 - yes
P1715 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P1788 = 0

# Proxy Require
P1718 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P1726 =
 
# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P1716 = 8

# Early Dial. 0 - no, 1 - yes
P1722 = 0

# Dial Plan Prefix
P1719 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P1770 = 20

# Enable Call Features. 0 - no, 1 - yes.
P1720 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P1742 = 0

# Default Session Expires (in seconds. default 180 seconds. Allowed value: 90-65535)
P1734 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P1727 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P1728 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P1729 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P1730 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P1731 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P1732 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P1733 = 1

# Enable 100rel. 0 - no, 1 - yes
P1735 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P1723 = 0

# Send Anonymous. 0 - no, 1 - yes
P1721 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header
P1768 = 0

# Anonymous Call Rejection. 0 - no, 1 - yes
P1746 = 0

# Auto Answer. 0 - no, 1 - yes.
P1725 = 0

# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P1738 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P1739 = 0

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P1749 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P1769 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P1787 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P1751 = 0

# choice 2.  
P1752 = 8

# choice 3.   
P1753 = 4

# choice 4.   
P1754 = 18

# choice 5.   
P1755 = 2

# choice 6.   
P1756 = 98

# choice 7. 
P1757 = 9

# choice 8.  
P1758 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P1743 = 0

# eventlist BLF URI
P1744 = 

# Special Feature.  100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro.
P1724 = 100


########################################################################
# SIP Account 6 Settings.  (GXP2020 only)
########################################################################

# Account Active (In Use). 0 - no, 1 - yes
P1801 = 1

#Account Name
P1817 = 

# SIP Server
P1802 =

# Outbound Proxy Server
P1803 =

# SIP User ID
P1804 =

# Authenticate ID
P1805 =

# Authenticate Password
P1806 =

# Display Name (John Doe)
P1807 =

# Use DNS SRV. 0 - no, 1 - yes.
P1808 = 0

# User ID is phone number. "user=phone". 0 - no, 1 - yes
P1809 = 0

# SIP Registration. 0 - no, 1 - yes
P1810 = 1

# Unregister on Reboot. 0 - no, 1 - yes
P1811 = 0

# Register Expiration (in minutes. default 1 hour, max 45 days)
P1812 = 60

# Local SIP port (default 5066)
P1813 = 5070

# SIP Registration Failure Retry Wait Time. In seconds. Between 1-3600, default is 20.
P1871 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default 100.
P1840 = 100

# SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P1841 = 400

# SIP Transport. 1 - UDP, 2 - TCP.
P1848 = 1

# Use RFC3581 Symmetric Routing. 0 - no, 1 - yes
P1847 = 0

# NAT Traversal. 0 - yes, 1 - no, 2 - No, but send keep-alive
P1814 = 1

# Subscribe MWI. Whether or not send SUBSCRIBE for Message Waiting Indication.  0 - no, 1 - yes
P1815 = 0

# PUBLISH for Presence. 0 - no, 1 - yes
P1888 = 0

# Proxy Require
P1818 =

# Voice Mail UserID (User ID/extension for 3rd party voice mail system)
P1826 =
 
# Send DTMF. 8 - in audio, 1 - via RTP, 2 - via SIP INFO 
# 11 - In Audio & RTP & SIP INFO, 9 - In Audio & RTP
# 10 - IN Audio & SIP INFO, 3 - RTP & SIP INFO
P1816 = 8

# Early Dial. 0 - no, 1 - yes
P1822 = 0

# Dial Plan Prefix
P1819 =

# Delayed Call Forward Wait Time. 1 to 120 seconds. Default 20 seconds.
P1870 = 20

# Enable Call Features. 0 - no, 1 - yes.
P1820 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log
P1842 = 0

# Default Session Expires (in seconds. default 180 seconds. Allowed value: 90-65535)
P1834 = 180

# Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260)
P1827 = 90

# Caller Request Timer (Request for timer when calling) 0 - no, 1 - yes
P1828 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - no, 1 - yes
P1829 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - no, 1 - yes
P1830 = 0

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - no, 1 - yes
P1831 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS
P1832 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P1833 = 1

# Enable 100rel. 0 - no, 1 - yes
P1835 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2
# 3 - custom ring tone 3.
P1823 = 0

# Send Anonymous. 0 - no, 1 - yes
P1821 = 0

# Anonymous Method. 0 - Use From Header, 1 - Use Privacy Header
P1868 = 0

# Anonymous Call Rejection. 0 - no, 1 - yes
P1846 = 0

# Auto Answer. 0 - no, 1 - yes.
P1825 = 0

# Allow Auto Answer by Call-Info. 0 - no, 1 - yes
P1838 = 0

# Turn off speaker on remote disconnect. 0 - no, 1 - yes
P1839 = 0

# Check SIP User ID for incoming INVITE. 0 - no, 1 - yes
P1849 = 0

# Refer-To Use Target Contact. 0 - no, 1 - yes
P1869 = 0

# Disable Multiple Media Attribute in SDP. 0 - no, 1 - yes
P1887 = 0

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - iLBC

# choice 1.   
P1851 = 0

# choice 2.  
P1852 = 8

# choice 3.   
P1853 = 4

# choice 4.   
P1854 = 18

# choice 5.   
P1855 = 2

# choice 6.   
P1856 = 98

# choice 7. 
P1857 = 9

# choice 8.  
P1858 = 3

# SRTP Mode
# 0 = Disabled
# 1 = Enabled but not forced
# 2 = Enabled and forced
P1843 = 0

# eventlist BLF URI
P1844 = 

# Special Feature.  100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro.
P1824 = 100


################################################################################
# End User Settings. Please do not edit this section.
################################################################################

# End User Password
#P196 = 123

# DHCP support. 0 - yes, 1 - no
#P8 = 0

# PPPoE support. PPPoE user ID
#P82 =

# PPPoE password
#P83 =

# Host name, DHCP option 12. Max length allowed is 32 bytes.
P146 =

# Domain name, DHCP option 15. Max length allowed is 32 bytes.
P147 =

# Vendor Class ID, DHCP option 60. Max length allowed is 32 bytes.
P148 = Grandstream GXP2000

# Preferred DNS server.  (if specified).
#P92 = 0
#P93 = 0
#P94 = 0
#P95 = 0

# IP Address. Ignore if DHCP or PPPoE is used
#P9 = 192
#P10 = 168
#P11 = 0
#P12 = 160

# Subnet mask. Ignore if DHCP or PPPoE is used
#P13 = 0
#P14 = 0
#P15 = 0
#P16 = 0

# Router. Ignore if DHCP or PPPoE is used
#P17 = 0
#P18 = 0
#P19 = 0
#P20 = 0

# DNS 1. Ignore if DHCP or PPPoE is used
#P21 = 0
#P22 = 0
#P23 = 0
#P24 = 0

# DNS 2. Ignore if DHCP or PPPoE is used
#P25 = 0
#P26 = 0
#P27 = 0
#P28 = 0

#-------------------------------------------------------------------------------------
# End User Multi Purpose Keys  (GXP2000/2020/2010)
#------------------------------------------------------------------------------------- 

# Multi Purpose Key 1 
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P323 =

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P301 =

# Name
P302 =

# UserID
P303 =

# Multi Purpose Key 2
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P324 =

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# For GXP2020, 4 - Account 5, 5 - Account 6
P304 =

# Name
P305 =

# UserID
P306 =

# Multi Purpose Key 3
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P325 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# For GXP2020, 4 - Account 5, 5 - Account 6
P307 =

# Name
P308 =

# UserID
P309 =

# Multi Purpose Key 4
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P326 =

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4  
# For GXP2020, 4 - Account 5, 5 - Account 6
P310 =

# Name
P311 =

# UserID
P312 =

# Multi Purpose Key 5
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P327 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# For GXP2020, 4 - Account 5, 5 - Account 6
P313 =

# Name
P314 =

# UserID
P315 =

# Multi Purpose Key 6
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P328 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P316 =

# Name
P317 =

# UserID
P318 =

# Multi Purpose Key 7
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P329 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P319 =

# Name
P320 =

# UserID
P321 =

# The following are for GXP-2010 only

# Multi Purpose Key 8
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P353 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P354 =

# Name
P355 =

# UserID
P356 =

# Multi Purpose Key 9
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P357 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P358 =

# Name
P359 =

# UserID
P360 =

# Multi Purpose Key 10
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P361 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P362 =

# Name
P363 =

# UserID
P364 =

# Multi Purpose Key 11
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P365 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P366 =

# Name
P367 =

# UserID
P368 =

# Multi Purpose Key 12
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P369 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P370 =

# Name
P371 =

# UserID
P372 =

# Multi Purpose Key 13
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P373 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P374 =

# Name
P375 =

# UserID
P376 =

# Multi Purpose Key 14
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P377 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P378 =

# Name
P379 =

# UserID
P380 =

# Multi Purpose Key 15
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P381 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P382 =

# Name
P383 =

# UserID
P384 =

# Multi Purpose Key 16
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P385 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P386 =

# Name
P387 =

# UserID
P388 =

# Multi Purpose Key 17
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P389 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P390 =

# Name
P391 =

# UserID
P392 =

# Multi Purpose Key 18
# ------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P393 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
# For GXP2020, 4 - Account 5, 5 - Account 6
P394 =

# Name
P395 =

# UserID
P396 =

#--------------------------------------------------------------------------------------
# End User Time settings
#--------------------------------------------------------------------------------------

# Time Zone. Offset in minutes to GMT
P64 = 420

# Allow DHCP Option 2 to override Time Zone setting. 0 - No, 1 - Yes.
# When set to Yes(1), it will override the configured Time Zone setting if available. 
P143 = 0

# Daylight Savings Time. 0 - no, 1 - yes
P75 = 0

# Optional Rule. Daylight Saving rule.
P246 = 3,2,7,2,0;11,1,7,2,0;60

# LCD Backlight Always On. 0 - no, 1 - yes
# For GXP2000/1200 Only
P322 = 0

# LCD Backlight Brightness. (0-8, where 0 is off and 8 is brightest)
# For GXP2020/2010 Only
P334 = 4
P335 = 0

# Time Display Format. 0 - 12 Hour, 1 - 24 Hour
P122 = 0

# Date Display Format. 0 - Year-Month-Day, 1 - Month-Day-Year, 2 - Day-Month-Year
# For GXP2000/1200 Only
P102 = 0

# Display Clock instead of Date. 0 - no, 1 - yes
# For GXP2000/1200 Only
P123 = 0

# Disable in-call DTMF display. 0 - no, 1 - yes
P338 = 0

# Mute Speaker Ringer in Headset Mode. 0 - no, 1 - yes
P336 = 0

# Disable Missed Call Backlight. 0 - no, 1 - yes
P351 = 0

##########################################################################################
# Extension Board 1 Settings.   For GXP2000 only.
##########################################################################################

# EXT Key 1
# -------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6001 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6201 =

# Name
P6401 =

# UserID
P6601 =

# EXT Key 2
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6002 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6202 =

# Name
P6402 =

# UserID
P6602 =

# EXT Key 3
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6003 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6203 =

# Name
P6403 =

# UserID
P6603 =

# EXT Key 4
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6004 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6204 =

# Name
P6404 =

# UserID
P6604 =

# EXT Key 5
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6005 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6205 =

# Name
P6405 =

# UserID
P6605 =

# EXT Key 6
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6006 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6206 =

# Name
P6406 =

# UserID
P6606 =

# EXT Key 7
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6007 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6207 =

# Name
P6407 =

# UserID
P6607 =

# EXT Key 8
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6008 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6208 =

# Name
P6408 =

# UserID
P6608 =

# EXT Key 9
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6009 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6209 =

# Name
P6409 =

# UserID
P6609 =

# EXT Key 10
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6010 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6210 =

# Name
P6410 =

# UserID
P6610 =

# EXT Key 11
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6011 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6211 =

# Name
P6411 =

# UserID
P6611 =

# EXT Key 12
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6012 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6212 =

# Name
P6412 =

# UserID
P6612 =

# EXT Key 13
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6013 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6213 =

# Name
P6413 =

# UserID
P6613 =

# EXT Key 14
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6014 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6214 =

# Name
P6414 =

# UserID
P6614 =

# EXT Key 15
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6015 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6215 =

# Name
P6415 =

# UserID
P6615 =

# EXT Key 16
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6016 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6216 =

# Name
P6416 =

# UserID
P6616 =

# EXT Key 17
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6017 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6217 =

# Name
P6417 =

# UserID
P6617 =

# EXT Key 18
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6018 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6218 =

# Name
P6418 =

# UserID
P6618 =

# EXT Key 19
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6019 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6219 =

# Name
P6419 =

# UserID
P6619 =

# EXT Key 20
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6020 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6220 =

# Name
P6420 =

# UserID
P6620 =

# EXT Key 21
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6021 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6221 =

# Name
P6421 =

# UserID
P6621 =

# EXT Key 22
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6022 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6222 =

# Name
P6422 =

# UserID
P6622 =

# EXT Key 23
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6023 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6223 =

# Name
P6423 =

# UserID
P6623 =

# EXT Key 24
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6024 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6224 =

# Name
P6424 =

# UserID
P6624 =

# EXT Key 25
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6025 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6225 =

# Name
P6425 =

# UserID
P6625 =

# EXT Key 26
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6026 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6226 =

# Name
P6426 =

# UserID
P6626 =

# EXT Key 27
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6027 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6227 =

# Name
P6427 =

# UserID
P6627 =

# EXT Key 28
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6028 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6228 =

# Name
P6428 =

# UserID
P6628 =

# EXT Key 29
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6029 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6229 =

# Name
P6429 =

# UserID
P6629 =

# EXT Key 30
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6030 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6230 =

# Name
P6430 =

# UserID
P6630 =

# EXT Key 31
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6031 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6231 =

# Name
P6431 =

# UserID
P6631 =

# EXT Key 32
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6032 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6232 =

# Name
P6432 =

# UserID
P6632 =

# EXT Key 33
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6033 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6233 =

# Name
P6433 =

# UserID
P6633 =

# EXT Key 34
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6034 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6234 =

# Name
P6434 =

# UserID
P6634 =

# EXT Key 35
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6035 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6235 =

# Name
P6435 =

# UserID
P6635 =

# EXT Key 36
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6036 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6236 =

# Name
P6436 =

# UserID
P6636 =

# EXT Key 37
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6037 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6237 =

# Name
P6437 =

# UserID
P6637 =

# EXT Key 38
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6038 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6238 =

# Name
P6438 =

# UserID
P6638 =

# EXT Key 39
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6039 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6239 =

# Name
P6439 =

# UserID
P6639 =

# EXT Key 40
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6040 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6240 =

# Name
P6440 =

# UserID
P6640 =

# EXT Key 41
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6041 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6241 =

# Name
P6441 =

# UserID
P6641 =

# EXT Key 42
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6042 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6242 =

# Name
P6442 =

# UserID
P6642 =

# EXT Key 43
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6043 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6243 =

# Name
P6443 =

# UserID
P6643 =

# EXT Key 44
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6044 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6244 =

# Name
P6444 =

# UserID
P6644 =

# EXT Key 45
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6045 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6245 =

# Name
P6445 =

# UserID
P6645 =

# EXT Key 46
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6046 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6246 =

# Name
P6446 =

# UserID
P6646 =

# EXT Key 47
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6047 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6247 =

# Name
P6447 =

# UserID
P6647 =

# EXT Key 48
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6048 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6248 =

# Name
P6448 =

# UserID
P6648 =

# EXT Key 49
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6049 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6249 =

# Name
P6449 =

# UserID
P6649 =

# EXT Key 50
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6050 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6250 =

# Name
P6450 =

# UserID
P6650 =

# EXT Key 51
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6051 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6251 =

# Name
P6451 =

# UserID
P6651 =

# EXT Key 52
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6052 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6252 =

# Name
P6452 =

# UserID
P6652 =

# EXT Key 53
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6053 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6253 =

# Name
P6453 =

# UserID
P6653 =

# EXT Key 54
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6054 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6254 =

# Name
P6454 =

# UserID
P6654 =

# EXT Key 55
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6055 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6255 =

# Name
P6455 =

# UserID
P6655 =

# EXT Key 56
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6056 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6256 =

# Name
P6456 =

# UserID
P6656 =

#########################################################################################
# Extension Board 2 Settings.
#########################################################################################

# EXT Key 57
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6057 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6257 =

# Name
P6457 =

# UserID
P6657 =

# EXT Key 58
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6058 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6258 =

# Name
P6458 =

# UserID
P6658 =

# EXT Key 59
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6059 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6259 =

# Name
P6459 =

# UserID
P6659 =

# EXT Key 60
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6060 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6260 =

# Name
P6460 =

# UserID
P6660 =

# EXT Key 61
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6061 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6261 =

# Name
P6461 =

# UserID
P6661 =

# EXT Key 62
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6062 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6262 =

# Name
P6462 =

# UserID
P6662 =

# EXT Key 63
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6063 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6263 =

# Name
P6463 =

# UserID
P6663 =

# EXT Key 64
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6064 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6264 =

# Name
P6464 =

# UserID
P6664 =

# EXT Key 65
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6065 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6265 =

# Name
P6465 =

# UserID
P6665 =

# EXT Key 66
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6066 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6266 =

# Name
P6466 =

# UserID
P6666 =

# EXT Key 67
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6067 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6267 =

# Name
P6467 =

# UserID
P6667 =

# EXT Key 68
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6068 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6268 =

# Name
P6468 =

# UserID
P6668 =

# EXT Key 69
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6069 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6269 =

# Name
P6469 =

# UserID
P6669 =

# EXT Key 70
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6070 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6270 =

# Name
P6470 =

# UserID
P6670 =

# EXT Key 71
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6071 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6271 =

# Name
P6471 =

# UserID
P6671 =

# EXT Key 72
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6072 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6272 =

# Name
P6472 =

# UserID
P6672 =

# EXT Key 73
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6073 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6273 =

# Name
P6473 =

# UserID
P6673 =

# EXT Key 74
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6074 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6274 =

# Name
P6474 =

# UserID
P6674 =

# EXT Key 75
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6075 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6275 =

# Name
P6475 =

# UserID
P6675 =

# EXT Key 76
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6076 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6276 =

# Name
P6476 =

# UserID
P6676 =

# EXT Key 77
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6077 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6277 =

# Name
P6477 =

# UserID
P6677 =

# EXT Key 78
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6078 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6278 =

# Name
P6478 =

# UserID
P6678 =

# EXT Key 79
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6079 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6279 =

# Name
P6479 =

# UserID
P6679 =

# EXT Key 80
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6080 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6280 =

# Name
P6480 =

# UserID
P6680 =

# EXT Key 81
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6081 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6281 =

# Name
P6481 =

# UserID
P6681 =

# EXT Key 82
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6082 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6282 =

# Name
P6482 =

# UserID
P6682 =

# EXT Key 83
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6083 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6283 =

# Name
P6483 =

# UserID
P6683 =

# EXT Key 84
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6084 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6284 =

# Name
P6484 =

# UserID
P6684 =

# EXT Key 85
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6085 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6285 =

# Name
P6485 =

# UserID
P6685 =

# EXT Key 86
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6086 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6286 =

# Name
P6486 =

# UserID
P6686 =

# EXT Key 87
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6087 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6287 =

# Name
P6487 =

# UserID
P6687 =

# EXT Key 88
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6088 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6288 =

# Name
P6488 =

# UserID
P6688 =

# EXT Key 89
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6089 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6289 =

# Name
P6489 =

# UserID
P6689 =

# EXT Key 90
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6090 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6290 =

# Name
P6490 =

# UserID
P6690 =

# EXT Key 91
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6091 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6291 =

# Name
P6491 =

# UserID
P6691 =

# EXT Key 92
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6092 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6292 =

# Name
P6492 =

# UserID
P6692 =

# EXT Key 93
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6093 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6293 =

# Name
P6493 =

# UserID
P6693 =

# EXT Key 94
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6094 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6294 =

# Name
P6494 =

# UserID
P6694 =

# EXT Key 95
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6095 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6295 =

# Name
P6495 =

# UserID
P6695 =

# EXT Key 96
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6096 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6296 =

# Name
P6496 =

# UserID
P6696 =

# EXT Key 97
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6097 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6297 =

# Name
P6497 =

# UserID
P6697 =

# EXT Key 98
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6098 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6298 =

# Name
P6498 =

# UserID
P6698 =

# EXT Key 99
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6099 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6299 =

# Name
P6499 =

# UserID
P6699 =

# EXT Key 100
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6100 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6300 =

# Name
P6500 =

# UserID
P6700 =

# EXT Key 101
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6101 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6301 =

# Name
P6501 =

# UserID
P6701 =

# EXT Key 102
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6102 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6302 =

# Name
P6502 =

# UserID
P6702 =

# EXT Key 103
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6103 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6303 =

# Name
P6503 =

# UserID
P6703 =

# EXT Key 104
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6104 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6304 =

# Name
P6504 =

# UserID
P6704 =

# EXT Key 105
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6105 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6305 =

# Name
P6505 =

# UserID
P6705 =

# EXT Key 106
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6106 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6306 =

# Name
P6506 =

# UserID
P6706 =

# EXT Key 107
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6107 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6307 =

# Name
P6507 =

# UserID
P6707 =

# EXT Key 108
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6108 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6308 =

# Name
P6508 =

# UserID
P6708 =

# EXT Key 109
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6109 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6309 =

# Name
P6509 =

# UserID
P6709 =

# EXT Key 110
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6110 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6310 =

# Name
P6510 =

# UserID
P6710 =

# EXT Key 111
# -------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6111 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6311 =

# Name
P6511 =

# UserID
P6711 =

# EXT Key 112
# --------------------------------------------------------------------------------------
# Key Mode. 0 - Speed Dial, 1 - BLF, 2 - Presence Watcher, 3 - eventlist BLF
P6112 = 

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4 
P6312 =

# Name
P6512 =

# UserID
P6712 =

##########################################################################################
#
# Below are for GXP2020 only
#
##########################################################################################

hallo lukas