#----------------------------------------------------------------#
#                                                                #
# SN4552/2BIS/EUI                                                #
# R5.3 2009-11-17 SIP                                            #
# 2010-02-08T21:12:20                                            #
# SN/00A0BA050D63                                                #
# Generated configuration file                                   #
#                                                                #
#----------------------------------------------------------------#

cli version 3.20
gui type basic
clock local offset +01:00
dns-client server 192.168.44.18
dns-relay
webserver port 80 language en
sntp-client
sntp-client server primary 192.168.44.11 port 123 version 4
sntp-client poll-interval 60

syslog-client

  remote 192.168.44.11 514
    facility kernel severity debug
    facility user-level severity debug
    facility daemon severity debug

system

  ic voice 0

profile acl ACL_WAN_PERMIT_ALL_MGMT
  permit 1 ip any any ""

profile acl ACL_WAN_PERMIT_SEL_MGMT
  deny 1 tcp any any eq 23 ""
  deny 2 tcp any any eq 80 ""
  deny 3 udp any any eq 161 ""
  permit 4 ip any any ""

profile acl ACL_WAN_BLOCK_ALL_MGMT
  deny 1 tcp any any eq 23 ""
  deny 2 tcp any any eq 80 ""
  deny 3 udp any any eq 161 ""
  permit 4 ip any any ""

profile service-policy SP_WAN_OUT
  rate-limit 100000 header-length 18 voice-margin 0

  source traffic-class local-voice
    priority

  source traffic-class default
    priority

profile service-policy SP_WAN_IN
  rate-limit 100000 header-length 18 voice-margin 200

  source traffic-class local-voice
    priority

  source traffic-class default
    queue-limit 4

profile napt NAPT_WAN

profile ppp default

profile call-progress-tone defaultDialtone
  play 1 1000 420 -6

profile call-progress-tone defaultAlertingtone
  play 1 1000 420 -13
  pause 2 5000

profile call-progress-tone defaultBusytone
  play 1 400 420 -7
  pause 2 400

profile call-progress-tone defaultReleasetone
  play 1 200 420 -7
  pause 2 200

profile call-progress-tone defaultCongestiontone
  play 1 200 420 -7
  pause 2 200

profile call-progress-tone US_DIAL_TONE
  play 1 10 350 -13 440 -13

profile call-progress-tone US_RB_TONE
  play 1 2000 440 -19 480 -19
  pause 2 4000

profile call-progress-tone US_BUSY_TONE
  play 1 500 480 -24 620 -24
  pause 2 500

profile call-progress-tone US_CONGESTION_TONE
  play 1 250 480 -24 620 -24
  pause 2 250

profile tone-set default
profile tone-set Europe
profile tone-set UnitedStates
  map call-progress-tone dial-tone US_DIAL_TONE
  map call-progress-tone ringback-tone US_RB_TONE
  map call-progress-tone busy-tone US_BUSY_TONE
  map call-progress-tone release-tone US_BUSY_TONE
  map call-progress-tone congestion-tone US_CONGESTION_TONE

profile voip default
  codec 1 g711alaw64k rx-length 20 tx-length 20 no-silence-suppression
  codec 2 g711ulaw64k rx-length 20 tx-length 20 no-silence-suppression
  rtp traffic-class local-default
  fax transmission 1 relay t38-udp

profile voip VOIP
  codec 1 g729 rx-length 20 tx-length 20
  codec 2 g711alaw64k rx-length 20 tx-length 20
  codec 3 g711ulaw64k rx-length 20 tx-length 20
  dejitter-mode static
  dejitter-max-delay 120

profile pstn default

profile sip default

profile dhcp-server DHCPS_LAN
  network 192.168.1.0 255.255.255.0
  include 1 192.168.1.10 192.168.1.19
  lease 2 hours
  default-router 1 192.168.1.1
  domain-name patton.com
  domain-name-server 1 192.168.1.1

profile aaa default
  method 1 local
  method 2 none

context ip router

  interface IF_IP_WAN
    ipaddress dhcp
    use profile acl ACL_WAN_PERMIT_ALL_MGMT in
    use profile service-policy SP_WAN_IN in
    use profile service-policy SP_WAN_OUT out
    use profile napt NAPT_WAN
    tcp adjust-mss rx 582
    tcp adjust-mss tx 1440

  interface IF_IP_LAN
    ipaddress 192.168.44.32 255.255.255.0
    icmp router-discovery

context ip router
  dhcp-server use profile DHCPS_LAN
  route 0.0.0.0 0.0.0.0 192.168.44.254 0 traffic-class default

subscriber ppp SUB_PPPOE
  dial out
  no multilink
  authentication chap
  authentication pap
  bind interface IF_IP_WAN router

context cs switch
  national-prefix 0
  international-prefix 00

  routing-table called-e164 RT_SPEED_DIAL
    route T dest-table RT_NR_BLOCKING MT_SPEED_DIAL

  routing-table called-e164 RT_NR_BLOCKING
    route default dest-table RT_CALL_ROUTING MT_SET_CNPN

  routing-table called-e164 RT_CALL_ROUTING
    route default dest-service SER_HG_PSTN_FALLBACK

  routing-table called-e164 RT_INCOMING
    route default dest-interface IF_S0_01 MT_NR_TRANSLATION

  routing-table called-e164 RT_ISDN_TO_SIP_0
    route default dest-interface IF-ASTERISK MAPPING_INCOMING_CALLS

  mapping-table called-e164 to called-e164 MT_SPEED_DIAL
  mapping-table calling-e164 to calling-e164 MT_SET_CNPN
  mapping-table called-e164 to called-e164 MT_NR_TRANSLATION
  mapping-table calling-pi to calling-e164 MAP_REMOVE_BLANK_CALLERID
    map restricted to ""

  mapping-table calling-e164 to calling-e164 MAP_LEADING_ZERO
    map (.%) to \1

  mapping-table called-e164 to called-e164 999
    map (2..) to 999\1
    map (...) to 999\1
    map () to 999

  mapping-table calling-e164 to calling-e164 add_zero
    map (.%) to 0\1

  mapping-table calling-e164 to calling-name anonym
    map () to anonym

  complex-function MAPPING_INCOMING_CALLS
    execute 1 999
    execute 2 MAP_REMOVE_BLANK_CALLERID
    execute 3 MAP_LEADING_ZERO
    execute 4 add_zero

  interface isdn IF_S0_00
    route call dest-table RT_INCOMING

  interface isdn IF_S0_01
    route call dest-table RT_SPEED_DIAL
    use profile tone-set Europe
    isdn-date-time

  interface isdn IF_DEV0

  interface isdn IF_ISDN_0
    route call dest-table RT_ISDN_TO_SIP_0
    call-reroute accept
    call-reroute emit
    inband-info accept force call-setup alerting
    inband-info accept force call-release
    user-side-ringback-tone

  interface isdn IF_ISDN_1
    route call dest-table RT_ISDN_TO_SIP_0
    user-side-ringback-tone

  interface sip IF_SIP_SERVICE
    bind context sip-gateway GW_SIP
    route call dest-table RT_INCOMING
    use profile voip VOIP

  interface sip IF-ASTERISK
    bind context sip-gateway asterisk
    route call dest-service isdnports
    remote 192.168.44.193 5060
    early-connect
    early-disconnect

  service sip-location-service 192.168.44.193
    bind location-service 192.168.44.193
    mode hunt
    hunt-timeout 20

  service sip-location-service ASTERISK_SRV
    bind location-service ASTERISK_SRV
    mode hunt
    hunt-timeout 20

  service hunt-group SER_HG_PSTN_FALLBACK
    timeout 6
    drop-cause normal-unspecified
    drop-cause no-circuit-channel-available
    drop-cause network-out-of-order
    drop-cause temporary-failure
    drop-cause switching-equipment-congestion
    drop-cause access-info-discarded
    drop-cause circuit-channel-not-available
    drop-cause resources-unavailable
    drop-cause no-route-to-destination
    route call 1 dest-interface IF_SIP_SERVICE
    route call 2 dest-interface IF_S0_00

  service hunt-group isdnports
    drop-cause normal-unspecified
    drop-cause no-circuit-channel-available
    drop-cause network-out-of-order
    drop-cause temporary-failure
    drop-cause switching-equipment-congestion
    drop-cause access-info-discarded
    drop-cause circuit-channel-not-available
    drop-cause resources-unavailable
    route call 1 dest-interface IF_ISDN_0
    route call 2 dest-interface IF_ISDN_1

  service hunt-group tosip
    drop-cause normal-unspecified
    drop-cause no-circuit-channel-available
    drop-cause network-out-of-order
    drop-cause temporary-failure
    drop-cause switching-equipment-congestion
    drop-cause access-info-discarded
    drop-cause circuit-channel-not-available
    drop-cause resources-unavailable
    route call 1 dest-service ASTERISK_SRV

context cs switch
  no shutdown

authentication-service AUTH_SVC
authentication-service patton
  realm 1 asterisk
  username patton password Otx2vJCEWP+8Bb6tqoGkwA== encrypted

location-service LOCATION_SVC

  identity-group default

    authentication outbound
      authenticate 1 authentication-service AUTH_SVC

    registration outbound
      register auto

    call outbound

location-service ASTERISK_SRV
  domain 1 192.168.44.193 5060
  domain 2 asterisk 5060
  match-any-domain

  identity-group default

    authentication outbound
      authenticate none

    authentication inbound
      authenticate 1 authentication-service patton username patton

    registration inbound
      contact 192.168.44.193 5060 switch IF-ASTERISK priority 1000

  identity patton
    alias name patton

    authentication outbound
      authenticate 1 authentication-service patton username patton

    authentication inbound
      authenticate 1 authentication-service patton username patton

    registration outbound
      registrar 192.168.44.193 5060
      proxy none
      lifetime 3600
      register auto
      retry-timeout on-system-error 10
      retry-timeout on-client-error 10
      retry-timeout on-server-error 10

    registration inbound
      contact 192.168.44.193 5060 switch IF-ASTERISK priority 1

    call outbound
      use profile tone-set default
      use profile voip default
      use profile sip default
      preferred-transport-protocol udp
      invite-transaction-timeout 32
      non-invite-transaction-timeout 32

    call inbound
      use profile tone-set default
      use profile voip default
      use profile sip default

context sip-gateway GW_SIP

  interface SIP_WAN
    bind interface IF_IP_WAN context router port 5060

context sip-gateway GW_SIP
  bind location-service LOCATION_SVC
  no shutdown

context sip-gateway asterisk

  interface asterisk
    bind interface IF_IP_LAN context router port 5060

context sip-gateway asterisk
  bind location-service ASTERISK_SRV
  no shutdown

port ethernet 0 0
  bind interface IF_IP_WAN router

  pppoe

    session SES_PPPOE
      bind subscriber SUB_PPPOE
      shutdown

port ethernet 0 0
  no shutdown

port ethernet 0 1
  bind interface IF_IP_LAN router
  no shutdown

port bri 0 0
  clock slave
  encapsulation q921

  q921
    permanent-layer2
    protocol pp
    uni-side user
    encapsulation q931

    q931
      protocol dss1
      uni-side net
      bchan-number-order ascending
      encapsulation cc-isdn
      bind interface IF_ISDN_0 switch

port bri 0 0
  no shutdown

port bri 0 1
  clock auto
  encapsulation q921

  q921
    permanent-layer2
    protocol pp
    uni-side auto
    encapsulation q931

    q931
      protocol dss1
      uni-side net
      bchan-number-order ascending
      encapsulation cc-isdn
      bind interface IF_ISDN_1 switch

port bri 0 1
  shutdown



